(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    138308,       3302]
NotebookOptionsPosition[    132829,       3215]
NotebookOutlinePosition[    133267,       3232]
CellTagsIndexPosition[    133224,       3229]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Calculation of leading order strain energy", "Title",
 CellChangeTimes->{{3.876476267438961*^9, 3.8764762677765923`*^9}, {
   3.877236858908724*^9, 3.8772368654870462`*^9}, {3.8773272536226273`*^9, 
   3.87732725485423*^9}, {3.877372093893978*^9, 3.877372114124248*^9}, 
   3.8774120913359957`*^9, {3.877412303698186*^9, 3.87741239140637*^9}, {
   3.877412431098105*^9, 3.877412439589007*^9}, {3.877414296698361*^9, 
   3.87741429784659*^9}, {3.877420965584989*^9, 3.877420969656493*^9}, {
   3.877610747545207*^9, 3.877610793004621*^9}, {3.877610829714018*^9, 
   3.8776108650847063`*^9}, {3.8776109823804483`*^9, 
   3.877610982602202*^9}},ExpressionUUID->"cd3834c5-e82c-4709-8283-\
f06bc1fa1c6d"],

Cell["\<\
Supplementary material for \"Asymptotic derivation of a higher-order \
one-dimensional model for tape springs; Arun Kumar, Basile Audoly, Claire \
Lestringant\"\
\>", "Subtitle",
 CellChangeTimes->{{3.876476267438961*^9, 3.8764762677765923`*^9}, {
   3.877236858908724*^9, 3.8772368654870462`*^9}, {3.8773272536226273`*^9, 
   3.87732725485423*^9}, {3.877372093893978*^9, 3.877372114124248*^9}, 
   3.8774120913359957`*^9, {3.877412303698186*^9, 3.87741239140637*^9}, {
   3.877412431098105*^9, 3.877412439589007*^9}, {3.877414296698361*^9, 
   3.87741429784659*^9}, {3.877420965584989*^9, 3.877420969656493*^9}, {
   3.877610747545207*^9, 3.877610793004621*^9}, {3.877610829714018*^9, 
   3.877610831098407*^9}},ExpressionUUID->"c442d431-4fb3-4465-855d-\
b1bae0eef877"],

Cell[BoxData[
 RowBox[{"(*", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
    "This", " ", "notebook", " ", "provides", " ", "background", " ", 
     "material", " ", "relating", " ", "to", " ", "section", " ", "4", " ", 
     "of", " ", "the", " ", 
     RowBox[{"paper", ".", "\[IndentingNewLine]", "Ignoring"}], " ", "the", 
     " ", "longitudinal", " ", "gradients", " ", "of", " ", "strains", " ", 
     "and", " ", "cross"}], "-", 
    RowBox[{"section", " ", "displacements"}]}], ",", 
   RowBox[{
   "we", " ", "begin", " ", "with", " ", "the", " ", "stress", " ", "and", 
    " ", "strain", " ", "expressions", " ", "given", " ", "in", " ", 
    "section", " ", "3.", " ", "We", " ", "use", " ", "the", " ", "variation",
     " ", "form", " ", "given", " ", "in", " ", "section", " ", "4", 
    RowBox[{"(", "a", ")"}], " ", "to", " ", "find", " ", "the", " ", 
    "differential", " ", "equations", " ", "and", " ", "natural", " ", 
    "boundary", " ", "conditions", " ", "for", " ", "microscopic", " ", 
    RowBox[{"displacement", ".", " ", "After"}], " ", "that"}], ",", " ", 
   RowBox[{
   "we", " ", "show", " ", "that", " ", "displacement", " ", "expressions", 
    " ", "given", " ", "in", " ", "section", " ", "4", 
    RowBox[{"(", "b", ")"}], " ", "of", " ", "the", " ", "paper", " ", 
    "satisfy", " ", "these", " ", "differential", " ", "equations", " ", 
    "and", " ", "boundary", " ", 
    RowBox[{"conditions", ".", " ", "Further"}], " ", "we", " ", "calculate", 
    " ", "the", " ", "leading", " ", "order", " ", "strain", " ", "energy", 
    " ", "and", " ", "verify", " ", "the", " ", "results", " ", "given", " ", 
    "in", " ", "the", " ", 
    RowBox[{"paper", ".", " ", "Toward"}], " ", "the", " ", "end", " ", "of", 
    " ", "the", " ", "file"}], ",", " ", 
   RowBox[{
    RowBox[{"we", " ", "calculate", " ", "the", " ", "cross"}], "-", 
    RowBox[{"sectional", " ", "displacements"}]}], ",", " ", "stress", ",", 
   " ", 
   RowBox[{
    RowBox[{
    "and", " ", "strain", " ", "expressions", " ", "for", " ", "no", " ", 
     "bending", " ", "case", " ", "k1"}], " ", "=", " ", 
    RowBox[{"k2", " ", "=", " ", "0."}]}]}], "\[IndentingNewLine]", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.876476267438961*^9, 3.8764762677765923`*^9}, {
   3.877236858908724*^9, 3.8772368654870462`*^9}, {3.8773272536226273`*^9, 
   3.87732725485423*^9}, {3.877372093893978*^9, 3.877372114124248*^9}, 
   3.8774120913359957`*^9, {3.877412303698186*^9, 3.87741239140637*^9}, {
   3.877412431098105*^9, 3.877412439589007*^9}, 3.877414289864808*^9, {
   3.877586710269374*^9, 3.877586713579648*^9}, {3.877610874832953*^9, 
   3.87761088075438*^9}, {3.8776131115438547`*^9, 3.877613217759211*^9}, 
   3.877616558762355*^9, {3.877616806568035*^9, 3.8776168582417107`*^9}, {
   3.877670863878993*^9, 3.877670896239621*^9}, {3.8786353101118393`*^9, 
   3.878635325166518*^9}, {3.883474447527454*^9, 3.883474449405673*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"1807f2db-c517-48ab-9545-f0f75658b955"],

Cell[CellGroupData[{

Cell["Preliminaries", "Section",
 CellChangeTimes->{{3.876476267438961*^9, 3.8764762677765923`*^9}, {
   3.877236858908724*^9, 3.8772368654870462`*^9}, {3.8773272536226273`*^9, 
   3.87732725485423*^9}, {3.877372093893978*^9, 3.877372114124248*^9}, 
   3.8774120913359957`*^9, {3.877412303698186*^9, 3.87741239140637*^9}, {
   3.877412431098105*^9, 3.877412439589007*^9}, 3.877414289864808*^9, {
   3.877586710269374*^9, 3.877586713579648*^9}, 3.877610874832953*^9, {
   3.87761331492281*^9, 
   3.87761332592675*^9}},ExpressionUUID->"7a060e89-deb8-4e56-ba2c-\
15c7a507ede8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ClearAll", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FrontEndTokenExecute", "[", "\"\<DeleteGeneratedCells\>\"", "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.876476267438961*^9, 3.8764762677765923`*^9}, {
   3.877236858908724*^9, 3.8772368654870462`*^9}, {3.8773272536226273`*^9, 
   3.87732725485423*^9}, {3.877372093893978*^9, 3.877372114124248*^9}, 
   3.8774120913359957`*^9, {3.877412303698186*^9, 3.87741239140637*^9}, {
   3.877412431098105*^9, 3.877412439589007*^9}, 3.877414289864808*^9, {
   3.877586710269374*^9, 3.877586713579648*^9}, 3.877610874832953*^9, 
   3.87761331492281*^9, {3.88260633884032*^9, 3.8826063405124187`*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"d08b8ec9-b4d1-4215-8a7c-9dec8d3f18c2"],

Cell[CellGroupData[{

Cell["want to do sanity/consistency checks?", "Subsection",
 CellChangeTimes->{{3.8764763032689457`*^9, 3.876476325898991*^9}, {
   3.876817320245174*^9, 3.8768173988178883`*^9}, {3.876817462707177*^9, 
   3.876817468708086*^9}, {3.8768205463995943`*^9, 3.876820548123602*^9}, {
   3.876930629672821*^9, 3.876930654441105*^9}, {3.8769668818346653`*^9, 
   3.87696692980023*^9}, {3.877136909545273*^9, 3.877136942430546*^9}, {
   3.8771454933674707`*^9, 3.8771454991956863`*^9}, {3.877145556561166*^9, 
   3.877145622419488*^9}, {3.877150561311514*^9, 3.877150586255044*^9}, {
   3.8771518461109133`*^9, 3.877151863799665*^9}, {3.877156185468029*^9, 
   3.877156197001549*^9}, {3.877156314961116*^9, 3.8771563261535177`*^9}, {
   3.877164385209506*^9, 3.877164393207386*^9}, {3.8772291716135674`*^9, 
   3.877229179992193*^9}, {3.877236868253346*^9, 3.8772368720350523`*^9}, 
   3.877370392878779*^9, {3.8774131081383743`*^9, 3.8774131085973883`*^9}, {
   3.877498463727344*^9, 3.877498487045855*^9}, {3.8774985804652987`*^9, 
   3.8774985857054787`*^9}, {3.877499032462867*^9, 3.877499046976913*^9}, {
   3.877499267506906*^9, 3.877499296560687*^9}, {3.877499343754012*^9, 
   3.8774994406718683`*^9}, {3.87749959128666*^9, 3.877499601637479*^9}, {
   3.877499704118191*^9, 3.877499719842037*^9}, {3.877499801594781*^9, 
   3.877499817787963*^9}, {3.877500071971449*^9, 3.877500093641892*^9}, {
   3.877500192573229*^9, 3.877500240428279*^9}, {3.877500403183857*^9, 
   3.87750047958384*^9}, {3.877500575647894*^9, 3.877500643731859*^9}, {
   3.87750069997095*^9, 3.877500736133778*^9}, 3.877500832744316*^9, {
   3.877500911540834*^9, 3.877500928676297*^9}, {3.877501493071206*^9, 
   3.8775015143954887`*^9}, {3.877501544590796*^9, 3.877501651587805*^9}, {
   3.8775016906709547`*^9, 3.877501719014345*^9}, 3.877502179709518*^9, {
   3.877502724754697*^9, 3.877502748036169*^9}, {3.877502788257057*^9, 
   3.877502789758995*^9}, {3.877508772820654*^9, 3.877508774172282*^9}, {
   3.877510605312167*^9, 3.877510605480267*^9}, {3.877529161345107*^9, 
   3.877529200152651*^9}, {3.877593243811686*^9, 3.877593245431925*^9}, {
   3.87759328709258*^9, 3.877593300887615*^9}, 3.877593353918885*^9, 
   3.877593485568851*^9, {3.87759396665464*^9, 3.877593968513467*^9}, {
   3.877595030695804*^9, 3.877595075342844*^9}, {3.8775961219491863`*^9, 
   3.8775961295281773`*^9}, {3.877596400093446*^9, 3.877596414548555*^9}, {
   3.877613333854671*^9, 
   3.8776133443645372`*^9}},ExpressionUUID->"0d39e317-472f-4783-927c-\
b4a17221c0cb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"doSanityCheck", " ", "=", " ", "True"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"set", " ", "doSanityCheck", " ", "to", " ", 
    RowBox[{"True", "/", "False"}], " ", "if", " ", "you", " ", 
    RowBox[{"want", "/", "do"}], " ", "not", " ", "want", " ", "to", " ", 
    "perform", " ", "the", " ", "consistency", " ", "checks"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"On", "[", "Assert", "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "A", " ", "function", " ", "to", " ", "do", " ", "consistency", " ", 
    "checks"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CheckSanity", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Check", "[", 
      RowBox[{
       RowBox[{"Assert", "[", "#", "]"}], ",", " ", 
       RowBox[{"Abort", "[", "]"}]}], "]"}], "&"}], ")"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.8764763032689457`*^9, 3.876476325898991*^9}, {
   3.876817320245174*^9, 3.8768173988178883`*^9}, {3.876817462707177*^9, 
   3.876817468708086*^9}, {3.8768205463995943`*^9, 3.876820548123602*^9}, {
   3.876930629672821*^9, 3.876930654441105*^9}, {3.8769668818346653`*^9, 
   3.87696692980023*^9}, {3.877136909545273*^9, 3.877136942430546*^9}, {
   3.8771454933674707`*^9, 3.8771454991956863`*^9}, {3.877145556561166*^9, 
   3.877145622419488*^9}, {3.877150561311514*^9, 3.877150586255044*^9}, {
   3.8771518461109133`*^9, 3.877151863799665*^9}, {3.877156185468029*^9, 
   3.877156197001549*^9}, {3.877156314961116*^9, 3.8771563261535177`*^9}, {
   3.877164385209506*^9, 3.877164393207386*^9}, {3.8772291716135674`*^9, 
   3.877229179992193*^9}, {3.877236868253346*^9, 3.8772368720350523`*^9}, 
   3.877370392878779*^9, {3.8774131081383743`*^9, 3.8774131085973883`*^9}, {
   3.877498463727344*^9, 3.877498487045855*^9}, {3.8774985804652987`*^9, 
   3.8774985857054787`*^9}, {3.877499032462867*^9, 3.877499046976913*^9}, {
   3.877499267506906*^9, 3.877499296560687*^9}, {3.877499343754012*^9, 
   3.8774994406718683`*^9}, {3.87749959128666*^9, 3.877499601637479*^9}, {
   3.877499704118191*^9, 3.877499719842037*^9}, {3.877499801594781*^9, 
   3.877499817787963*^9}, {3.877500071971449*^9, 3.877500093641892*^9}, {
   3.877500192573229*^9, 3.877500240428279*^9}, {3.877500403183857*^9, 
   3.87750047958384*^9}, {3.877500575647894*^9, 3.877500643731859*^9}, {
   3.87750069997095*^9, 3.877500736133778*^9}, 3.877500832744316*^9, {
   3.877500911540834*^9, 3.877500928676297*^9}, {3.877501493071206*^9, 
   3.8775015143954887`*^9}, {3.877501544590796*^9, 3.877501651587805*^9}, {
   3.8775016906709547`*^9, 3.877501719014345*^9}, 3.877502179709518*^9, {
   3.877502724754697*^9, 3.877502748036169*^9}, {3.877502788257057*^9, 
   3.877502789758995*^9}, {3.877508772820654*^9, 3.877508774172282*^9}, {
   3.877510605312167*^9, 3.877510605480267*^9}, {3.877529161345107*^9, 
   3.877529200152651*^9}, {3.877593243811686*^9, 3.877593245431925*^9}, {
   3.87759328709258*^9, 3.877593300887615*^9}, 3.877593353918885*^9, 
   3.877593485568851*^9, {3.87759396665464*^9, 3.877593968513467*^9}, {
   3.877595030695804*^9, 3.877595075342844*^9}, {3.8775961219491863`*^9, 
   3.8775961295281773`*^9}, {3.877596400093446*^9, 3.877596414548555*^9}, 
   3.877613333854671*^9, {3.877617368111896*^9, 3.8776174005286283`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"f88a86c5-5e92-4c2a-8aa7-b3a6ec8a26e9"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"$Assumptions", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"yw", "[", "T", "]"}], "|", 
         RowBox[{"yv", "[", "T", "]"}], "|", 
         RowBox[{"yu", "[", "T", "]"}], "|", "\[Kappa]1", "|", "\[Kappa]2", 
         "|", "\[Kappa]3", "|", "c", "|", "\[Epsilon]", "|", 
         RowBox[{"n0SS", "[", "T", "]"}], "|", 
         RowBox[{"m0SS", "[", "T", "]"}], "|", 
         RowBox[{"m0ST", "[", "T", "]"}], "|", 
         RowBox[{"m0TT", "[", "T", "]"}]}], " ", ")"}], "\[Element]", 
       "Reals"}], ",", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"a", "|", "ks"}], ")"}], ">", "0"}], ",", " ", 
      RowBox[{"0", "<", "t", "<", "a"}], ",", " ", 
      RowBox[{"0", "<", "\[Nu]", "<", "0.5"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["\[Nu]", "2"]}], "<", "0"}]}], "}"}]}], ";"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.8764763032689457`*^9, 3.876476325898991*^9}, {
   3.876817320245174*^9, 3.8768173988178883`*^9}, {3.876817462707177*^9, 
   3.876817468708086*^9}, {3.8768205463995943`*^9, 3.876820548123602*^9}, 
   3.876930629672821*^9, {3.876930818328162*^9, 3.876930821252952*^9}, {
   3.877100382560156*^9, 3.8771004177322483`*^9}, {3.8771004875141497`*^9, 
   3.8771004933320436`*^9}, 3.8771005346734333`*^9, {3.8771429122890253`*^9, 
   3.8771429158514833`*^9}, {3.877155187241674*^9, 3.877155187496827*^9}, 
   3.8772274464580593`*^9, {3.87722749945474*^9, 3.877227563607544*^9}, {
   3.877227682717112*^9, 3.877227684421707*^9}, {3.877229224661436*^9, 
   3.87722925862991*^9}, {3.877236882079504*^9, 3.877236905027246*^9}, {
   3.8773190726474752`*^9, 3.8773190767075167`*^9}, {3.877319638349769*^9, 
   3.877319647128783*^9}, {3.877319721368867*^9, 3.877319754712872*^9}, {
   3.877326421536386*^9, 3.877326437112739*^9}, {3.87732962147992*^9, 
   3.877329637658247*^9}, {3.877361633139229*^9, 3.8773617293796062`*^9}, {
   3.877362880245475*^9, 3.877362883436556*^9}, {3.87736313650285*^9, 
   3.877363161917927*^9}, {3.8773704159943666`*^9, 3.877370441936763*^9}, {
   3.8773704885351543`*^9, 3.877370490134789*^9}, 3.8774995390348177`*^9, {
   3.8775235408202467`*^9, 3.877523541546217*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"ab48f4f3-ba2b-40de-a497-bcd858394ca8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"stiffnesses", "'"}], " ", "expressions"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"KmExp", " ", "=", 
     FractionBox[
      RowBox[{"Y", " ", "t"}], 
      RowBox[{"1", "-", 
       SuperscriptBox["\[Nu]", "2"]}]]}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DbExp", " ", "=", 
     FractionBox[
      RowBox[{"Y", " ", 
       SuperscriptBox["t", "3"]}], 
      RowBox[{"12", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["\[Nu]", "2"]}], ")"}]}]]}], " ", ";"}]}]}]], "Input",\

 CellChangeTimes->{{3.87681749790352*^9, 3.876817505665374*^9}, 
   3.876931424389435*^9, {3.876968551716156*^9, 3.8769685538183813`*^9}, {
   3.87697009310639*^9, 3.87697009344176*^9}, {3.8770055108594418`*^9, 
   3.877005511574963*^9}, {3.877088515916668*^9, 3.877088537722622*^9}, {
   3.877089217277742*^9, 3.87708921755291*^9}, 3.877139947573279*^9, {
   3.877141989053913*^9, 3.8771419910161877`*^9}, {3.877151519641608*^9, 
   3.87715152249244*^9}, {3.8771523020060987`*^9, 3.87715230322244*^9}, {
   3.8774153371500807`*^9, 3.877415425416506*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"2ae725db-c88d-4eb2-bb0d-2c20537be96f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"non", " ", "dimensional", " ", "strain"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ksExp", " ", "=", " ", 
    FractionBox["t", 
     RowBox[{
      SuperscriptBox["a", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"12", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           SuperscriptBox["\[Nu]", "2"]}], ")"}]}], ")"}], 
       FractionBox["1", "2"]]}]]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.87681749790352*^9, 3.876817505665374*^9}, 
   3.876931424389435*^9, {3.876968551716156*^9, 3.8769685538183813`*^9}, {
   3.87697009310639*^9, 3.87697009344176*^9}, {3.8770055108594418`*^9, 
   3.877005511574963*^9}, {3.877088515916668*^9, 3.877088537722622*^9}, {
   3.877089217277742*^9, 3.87708921755291*^9}, 3.877139947573279*^9, {
   3.877141989053913*^9, 3.8771419910161877`*^9}, {3.877151519641608*^9, 
   3.87715152249244*^9}, {3.8771523020060987`*^9, 3.877152313692169*^9}, {
   3.877415437820889*^9, 3.877415548357358*^9}, 3.877415643456785*^9},
 CellLabel->"In[11]:=",ExpressionUUID->"ef6e2aad-d114-4023-8965-c5c2f3c05469"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"strains", " ", "at", " ", "leading", " ", "order"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"E0SS", "[", "T_", "]"}], "=", 
     RowBox[{"\[Epsilon]", "+", 
      RowBox[{"T", " ", "\[Kappa]1"}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox["T", "2"], " ", 
        SuperscriptBox["\[Kappa]3", "2"]}], "2"], "-", 
      RowBox[{"\[Kappa]2", " ", 
       RowBox[{"yw", "[", "T", "]"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"E0TT", "[", "T_", "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"yu", "'"}], "[", "T", "]"}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox[
        RowBox[{
         RowBox[{"yw", "'"}], "[", "T", "]"}], "2"]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"E0ST", "[", "T_", "]"}], "=", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"yv", "'"}], "[", "T", "]"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "\[Kappa]3", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"yw", "[", "T", "]"}], "-", 
         RowBox[{"T", " ", 
          RowBox[{
           RowBox[{"yw", "'"}], "[", "T", "]"}]}]}], ")"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"B0SS", "[", "T_", "]"}], "=", "\[Kappa]2"}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"B0TT", "[", "T_", "]"}], "=", 
     RowBox[{
      RowBox[{"-", "c"}], "+", 
      RowBox[{
       RowBox[{"yw", "''"}], "[", "T", "]"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"B0ST", "[", "T_", "]"}], "=", 
     RowBox[{"-", "\[Kappa]3"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.877329359698138*^9, 3.877329359700288*^9}, 
   3.877329423476758*^9, 3.877357552571762*^9, 3.877370501542252*^9, {
   3.87737056999599*^9, 3.877370572264596*^9}, {3.8774163169871883`*^9, 
   3.877416328274954*^9}, {3.877527697811111*^9, 3.8775277870447702`*^9}, {
   3.877529855135262*^9, 3.877529855274572*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"2e97bd3d-1edd-47c4-b854-4bc78f5c67a4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Expressions", " ", "for", " ", "stress", " ", "resultants"}], " ",
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"n0SSExp", "[", "T_", "]"}], ",", " ", 
       RowBox[{"n0TTExp", "[", "T_", "]"}], ",", 
       RowBox[{"n0STExp", "[", "T_", "]"}]}], "}"}], "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"KmExp", " \[NoBreak]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "\[Nu]", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Nu]", ",", "1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"1", "-", "\[Nu]"}]}], "}"}]}], "}"}]}], ")"}], ".", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"E0SS", "[", "T", "]"}], ",", 
        RowBox[{"E0TT", "[", "T", "]"}], ",", 
        RowBox[{"E0ST", "[", "T", "]"}]}], "}"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"m0SSExp", "[", "T_", "]"}], ",", " ", 
       RowBox[{"m0TTExp", "[", "T_", "]"}], ",", 
       RowBox[{"m0STExp", "[", "T_", "]"}]}], "}"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"DbExp", " \[NoBreak]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "\[Nu]", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Nu]", ",", "1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"1", "-", "\[Nu]"}]}], "}"}]}], "}"}]}], ")"}], ".", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"B0SS", "[", "T", "]"}], ",", 
        RowBox[{"B0TT", "[", "T", "]"}], ",", 
        RowBox[{"B0ST", "[", "T", "]"}]}], "}"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.87696978218681*^9, 3.876969805610215*^9}, {
   3.8769703641717567`*^9, 3.876970473106339*^9}, {3.8771370819114532`*^9, 
   3.877137086484332*^9}, {3.877140468372661*^9, 3.877140476359717*^9}, {
   3.877140519229653*^9, 3.8771405490031567`*^9}, 3.877141994823835*^9, {
   3.877151546884131*^9, 3.8771515473911457`*^9}, {3.8772297932976294`*^9, 
   3.877229797409375*^9}, {3.877229978048491*^9, 3.877229981497794*^9}, 
   3.877328337796767*^9, {3.8773283709073133`*^9, 3.8773285305676117`*^9}, {
   3.8773285654576273`*^9, 3.877328566055458*^9}, {3.877328606054968*^9, 
   3.877328647628522*^9}, {3.8773295907913713`*^9, 3.87732961365772*^9}, {
   3.877329799795987*^9, 3.8773298042600517`*^9}, {3.877330077347805*^9, 
   3.8773300804756527`*^9}, {3.877330230503808*^9, 3.877330232629274*^9}, {
   3.8773507711194983`*^9, 3.877350783438511*^9}, {3.8773570727631807`*^9, 
   3.8773571033524523`*^9}, {3.877360141450759*^9, 3.877360143798126*^9}, {
   3.877362863451865*^9, 3.8773628655709057`*^9}, {3.8775247970838737`*^9, 
   3.877524798434935*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"935759a6-2c84-49af-a612-72f5c8f890dd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "diagonal", " ", "matrix", " ", "used", " ", "in", " ", "the", " ", 
    "energy", " ", "calculation"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"diagMat", " ", "=", " ", 
    RowBox[{"DiagonalMatrix", "[", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "2", ",", "1", ",", "1", ",", "2"}], "}"}], 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.877005105606927*^9, 3.877005157218639*^9}, {
   3.877006344512466*^9, 3.8770063867872257`*^9}, {3.877006472930174*^9, 
   3.8770064779212503`*^9}, {3.877011324028507*^9, 3.877011324626033*^9}, {
   3.877057769896278*^9, 3.877057781973106*^9}, 3.877141553355358*^9, {
   3.87714607089791*^9, 3.8771461119040413`*^9}, {3.8772306861144037`*^9, 
   3.87723070064161*^9}, 3.8772308819657087`*^9, {3.877328664491996*^9, 
   3.87732868383834*^9}, {3.8773294352038403`*^9, 3.877329461334598*^9}, {
   3.8773295577530937`*^9, 3.877329576304336*^9}, {3.877370681089109*^9, 
   3.877370698591724*^9}, 3.8774112675011473`*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"e66c51fb-032a-45ae-8802-26cac61b4b95"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"stress", " ", "and", " ", "strain", " ", "vector"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[ScriptCapitalS]Vec", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"n0SS", "[", "T", "]"}], ",", 
       RowBox[{"n0TT", "[", "T", "]"}], ",", 
       RowBox[{"n0ST", "[", "T", "]"}], ",", 
       RowBox[{"m0SS", "[", "T", "]"}], ",", 
       RowBox[{"m0TT", "[", "T", "]"}], ",", 
       RowBox[{"m0ST", "[", "T", "]"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[ScriptCapitalE]Vec", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"E0SS", "[", "T", "]"}], ",", 
       RowBox[{"E0TT", "[", "T", "]"}], ",", 
       RowBox[{"E0ST", "[", "T", "]"}], ",", 
       RowBox[{"B0SS", "[", "T", "]"}], ",", 
       RowBox[{"B0TT", "[", "T", "]"}], ",", 
       RowBox[{"B0ST", "[", "T", "]"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "replacement", " ", "rules", " ", "to", " ", "set", " ", "the", " ", 
     "explicit", " ", "expression", " ", "of", " ", "stress", " ", "vector"}],
     " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"replace\[ScriptCapitalS]VecExp", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"n0SS", "->", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"n0SSExp", "[", "#", "]"}], "&"}], ")"}]}], ",", 
       RowBox[{"n0TT", "->", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"n0TTExp", "[", "#", "]"}], "&"}], ")"}]}], ",", 
       RowBox[{"n0ST", "->", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"n0STExp", "[", "#", "]"}], "&"}], ")"}]}], ",", 
       RowBox[{"m0SS", "->", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m0SSExp", "[", "#", "]"}], "&"}], ")"}]}], ",", 
       RowBox[{"m0TT", "->", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m0TTExp", "[", "#", "]"}], "&"}], ")"}]}], ",", 
       RowBox[{"m0ST", "->", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m0STExp", "[", "#", "]"}], "&"}], ")"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.877005105606927*^9, 3.877005157218639*^9}, {
   3.877006344512466*^9, 3.8770063867872257`*^9}, {3.877006472930174*^9, 
   3.8770064779212503`*^9}, {3.877011324028507*^9, 3.877011324626033*^9}, {
   3.877057769896278*^9, 3.877057781973106*^9}, 3.877141553355358*^9, {
   3.87714607089791*^9, 3.8771461119040413`*^9}, {3.8772306861144037`*^9, 
   3.87723070064161*^9}, 3.8772308819657087`*^9, {3.877328664491996*^9, 
   3.87732868383834*^9}, {3.877329583253065*^9, 3.877329587190323*^9}, {
   3.877329741945724*^9, 3.877329846043365*^9}, {3.8773298781024237`*^9, 
   3.877329996214943*^9}, {3.877330717055429*^9, 3.877330772125044*^9}, {
   3.877350529989574*^9, 3.877350671315585*^9}, 3.877351446375617*^9, 
   3.8773515115913677`*^9, {3.877361000124454*^9, 3.877361001067896*^9}, {
   3.877370737748879*^9, 3.8773707401832113`*^9}, {3.877533620399016*^9, 
   3.877533631530397*^9}, {3.883985361280508*^9, 3.883985365498992*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"c7819141-d4f6-4419-9899-aca296f56464"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "replacement", " ", "rules", " ", "to", " ", "calculate", " ", "variation",
     " ", "of", " ", "strains"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"repRulesEta", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"yw", "->", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"yw", "[", "#", "]"}], "+", " ", 
           RowBox[{"\[Eta]", " ", 
            RowBox[{"\[Delta]yw", "[", "#", "]"}]}]}], ")"}], " ", "&"}], 
        ")"}]}], ",", 
      RowBox[{"yu", "->", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"yu", "[", "#", "]"}], "+", " ", 
           RowBox[{"\[Eta]", " ", 
            RowBox[{"\[Delta]yu", "[", "#", "]"}]}]}], ")"}], " ", "&"}], 
        ")"}]}], ",", " ", 
      RowBox[{"yv", "->", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"yv", "[", "#", "]"}], "+", " ", 
           RowBox[{"\[Eta]", " ", 
            RowBox[{"\[Delta]yv", "[", "#", "]"}]}]}], ")"}], " ", "&"}], 
        ")"}]}]}], "}"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.877005307986816*^9, 3.877005383834833*^9}, {
  3.8770063201274147`*^9, 3.8770063367915707`*^9}, {3.8770068724595613`*^9, 
  3.877006886830921*^9}, {3.8773300007498407`*^9, 3.877330023168294*^9}, {
  3.8773311021299953`*^9, 3.877331114784567*^9}, {3.8776132795133038`*^9, 
  3.877613295843603*^9}, {3.87761522173075*^9, 3.877615222256077*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"d21f47d6-285f-4c7b-b2c3-0cb9ae648818"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Derivation of differential equations", "Section"]], \
"Section",
 CellChangeTimes->{{3.877005307986816*^9, 3.877005383834833*^9}, {
   3.8770063201274147`*^9, 3.8770063367915707`*^9}, {3.8770068724595613`*^9, 
   3.87700688707023*^9}, 3.8770785240679617`*^9, {3.8771461002007437`*^9, 
   3.87714611870623*^9}, {3.8771516475685387`*^9, 3.877151647989135*^9}, {
   3.8773300285480957`*^9, 3.8773300330199413`*^9}, {3.877330778344839*^9, 
   3.8773308795385036`*^9}, {3.8773311610448713`*^9, 
   3.8773311724339933`*^9}, {3.877416335543494*^9, 3.8774163551740417`*^9}, {
   3.877613275598484*^9, 3.877613276370552*^9}, {3.877613363295352*^9, 
   3.877613380316766*^9}, {3.8776134128602247`*^9, 
   3.877613430470665*^9}},ExpressionUUID->"3fb1818b-244d-4fef-833c-\
375dbb0c4734"],

Cell[CellGroupData[{

Cell[" Variational form ", "Subsection",
 CellChangeTimes->{{3.877005307986816*^9, 3.877005383834833*^9}, {
   3.8770063201274147`*^9, 3.8770063367915707`*^9}, {3.8770068724595613`*^9, 
   3.87700688707023*^9}, 3.8770785240679617`*^9, {3.8771461002007437`*^9, 
   3.87714611870623*^9}, {3.8771516475685387`*^9, 3.877151647989135*^9}, {
   3.8773300285480957`*^9, 3.8773300330199413`*^9}, {3.877330778344839*^9, 
   3.8773308795385036`*^9}, {3.8773311610448713`*^9, 
   3.8773311724339933`*^9}, {3.877416335543494*^9, 3.8774163551740417`*^9}, {
   3.877613275598484*^9, 3.877613276370552*^9}, {3.877613363295352*^9, 
   3.877613380316766*^9}},ExpressionUUID->"d11bb3fb-6521-4ce1-bd39-\
12a62810e078"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqToSolveForY", "=", 
   RowBox[{
    RowBox[{"\[ScriptCapitalS]Vec", ".", 
     RowBox[{"(", 
      RowBox[{"diagMat", ".", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"\[ScriptCapitalE]Vec", "/.", "repRulesEta"}], ",", 
           "\[Eta]"}], "]"}], "/.", 
         RowBox[{"{", 
          RowBox[{"\[Eta]", "->", " ", "0"}], "}"}]}], ")"}]}], ")"}]}], "  ",
     "-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"fS", " ", 
       RowBox[{"\[Delta]yv", "[", "T", "]"}]}], " ", "+", " ", 
      RowBox[{"fT", " ", 
       RowBox[{"\[Delta]yu", "[", "T", "]"}]}], " ", "+", " ", 
      RowBox[{"fN", " ", 
       RowBox[{"\[Delta]yw", "[", "T", "]"}]}], " ", "+", " ", 
      RowBox[{"gN", " ", "T", " ", 
       RowBox[{"\[Delta]yw", "[", "T", "]"}]}]}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.877005307986816*^9, 3.877005383834833*^9}, {
   3.8770063201274147`*^9, 3.8770063367915707`*^9}, {3.8770068724595613`*^9, 
   3.87700688707023*^9}, 3.8770785240679617`*^9, {3.8771461002007437`*^9, 
   3.87714611870623*^9}, {3.8771516475685387`*^9, 3.877151647989135*^9}, {
   3.8773300285480957`*^9, 3.8773300330199413`*^9}, {3.877330778344839*^9, 
   3.8773308795385036`*^9}, {3.8773311610448713`*^9, 
   3.8773311724339933`*^9}, {3.877416335543494*^9, 3.8774163551740417`*^9}, {
   3.877613275598484*^9, 3.877613276370552*^9}, {3.877613363295352*^9, 
   3.877613366022243*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"a58a4745-302b-4eea-a8b8-b166a931a730"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Terms with \[Delta]yv and its derivatives", "Subsection",
 CellChangeTimes->{{3.8770056461077957`*^9, 3.877005667192342*^9}, {
   3.877005705558473*^9, 3.877005806394244*^9}, {3.877006190355116*^9, 
   3.8770061918453827`*^9}, {3.877022485481937*^9, 3.877022500781509*^9}, {
   3.8770532577413177`*^9, 3.877053272967491*^9}, {3.877061650480495*^9, 
   3.87706166296099*^9}, {3.877078498203377*^9, 3.877078512635633*^9}, {
   3.877139919058017*^9, 3.877139920464994*^9}, 3.877145268202771*^9, {
   3.877151655864447*^9, 3.877151656206232*^9}, 3.877151729471819*^9, 
   3.877231219341444*^9, {3.877330922992877*^9, 3.877330956737487*^9}, 
   3.877331071504815*^9, {3.877351450387567*^9, 3.8773514697053537`*^9}, {
   3.87735151537541*^9, 3.877351537955406*^9}, {3.877352539239214*^9, 
   3.877352539961315*^9}, 3.877352664930305*^9, {3.8773707758603354`*^9, 
   3.877370786552219*^9}, {3.877530489755978*^9, 3.877530502666512*^9}, {
   3.8776134553035173`*^9, 3.877613459394692*^9}, {3.877613503035859*^9, 
   3.8776135063571253`*^9}, {3.877614092940978*^9, 
   3.877614093844037*^9}},ExpressionUUID->"3ad7c129-0682-41be-993a-\
db7f5dbb8b7f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "collect", " ", "coefficient", " ", "of", " ", "\[Delta]yv", " ", "and", 
    " ", "its", " ", "derivatives", " ", "in", " ", "the", " ", "variational",
     " ", "form"}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"eqYv", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{"eqToSolveForY", " ", "/.", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Delta]yw", "->", " ", 
          RowBox[{"(", 
           RowBox[{"0", "&"}], ")"}]}], ",", 
         RowBox[{"\[Delta]yu", "->", " ", 
          RowBox[{"(", 
           RowBox[{"0", "&"}], ")"}]}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Delta]yv", "[", "T", "]"}], ",", 
       RowBox[{
        RowBox[{"\[Delta]yv", "'"}], "[", "T", "]"}]}], "}"}], ",", 
     "FullSimplify"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8770056461077957`*^9, 3.877005667192342*^9}, {
   3.877005705558473*^9, 3.877005806394244*^9}, {3.877006190355116*^9, 
   3.8770061918453827`*^9}, {3.877022485481937*^9, 3.877022500781509*^9}, {
   3.8770532577413177`*^9, 3.877053272967491*^9}, {3.877061650480495*^9, 
   3.87706166296099*^9}, {3.877078498203377*^9, 3.877078512635633*^9}, {
   3.877139919058017*^9, 3.877139920464994*^9}, 3.877145268202771*^9, {
   3.877151655864447*^9, 3.877151656206232*^9}, 3.877151729471819*^9, 
   3.877231219341444*^9, {3.877330922992877*^9, 3.877330956737487*^9}, 
   3.877331071504815*^9, {3.877351450387567*^9, 3.8773514697053537`*^9}, {
   3.87735151537541*^9, 3.877351537955406*^9}, {3.877352539239214*^9, 
   3.877352539961315*^9}, 3.877352664930305*^9, {3.8773707758603354`*^9, 
   3.877370786552219*^9}, {3.877530489755978*^9, 3.877530502666512*^9}, {
   3.8776134553035173`*^9, 3.877613459394692*^9}, {3.877613503035859*^9, 
   3.877613518012246*^9}, {3.877613674592321*^9, 3.8776136755800257`*^9}, {
   3.877614183721623*^9, 3.877614186320405*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"e7c6dd9c-9e6f-4815-bca9-89bc093d972f"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
     "Calculation", " ", "of", " ", "differential", " ", "equation", " ", 
      "for", " ", 
      RowBox[{"yv", ":", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          SubscriptBox["\[Integral]", 
           RowBox[{
            RowBox[{"-", "a"}], "/", "2"}]], 
          RowBox[{"a", "/", "2"}]], " ", 
         RowBox[{
          RowBox[{"-", "fS"}], " ", "\[Delta]yv"}]}], " ", "+", " ", 
        RowBox[{"n0ST", " ", 
         SubscriptBox["\[Delta]yv", 
          RowBox[{",", "T"}]], " ", "dT"}]}]}]}], "=", "0"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Integral]", 
        RowBox[{
         RowBox[{"-", "a"}], "/", "2"}]], 
       RowBox[{"a", "/", "2"}]], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "fS"}], " ", "\[Delta]yv"}], " ", "+", " ", 
         SubscriptBox[
          RowBox[{"(", 
           RowBox[{"n0ST", " ", "\[Delta]yv"}], ")"}], 
          RowBox[{",", "T"}]], " ", "-", " ", 
         RowBox[{
          SubscriptBox["n0ST", 
           RowBox[{",", "T"}]], " ", "\[Delta]yv"}]}], ")"}], " ", "dT"}]}], 
     "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox[
        SubscriptBox["\[Integral]", 
         RowBox[{
          RowBox[{"-", "a"}], "/", "2"}]], 
        RowBox[{"a", "/", "2"}]], " ", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"fS", " ", "+", " ", 
           SubscriptBox["n0ST", 
            RowBox[{",", "T"}]]}], ")"}]}], " ", "\[Delta]yv", " ", "dT"}]}], 
      " ", "+", "  ", 
      SuperscriptBox[
       SubscriptBox[
        RowBox[{"[", 
         RowBox[{"n0ST", " ", "\[Delta]yv"}], "]"}], 
        RowBox[{
         RowBox[{"-", "a"}], "/", "2"}]], 
       RowBox[{"a", "/", "2"}]]}], "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
     "we", " ", "get", " ", "natural", " ", "boundary", " ", "conditions", 
      " ", 
      RowBox[{"as", ":", " ", 
       RowBox[{"n0ST", "[", 
        RowBox[{
         RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}]}], "=", "a"}]}], 
   ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
      "and", " ", "the", " ", "differential", " ", "equation", " ", "as", 
       "\[IndentingNewLine]", 
       SubscriptBox["n0ST", 
        RowBox[{",", "T"}]]}], " ", "+", "fS"}], " ", "=", "0"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"on", " ", "integrating"}]}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"we", " ", "get", "\[IndentingNewLine]", "n0ST"}], " ", "+", 
      " ", 
      RowBox[{"fS", " ", "T"}], " ", "+", " ", "cv"}], " ", "=", "0"}], ";", 
    " ", 
    RowBox[{
     RowBox[{"where", " ", "cv"}], " ", "=", " ", 
     RowBox[{"constant", " ", "of", " ", "integration"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"at", " ", "T"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "\[IndentingNewLine]", 
        RowBox[{"n0ST", "[", 
         FractionBox["a", "2"], "]"}]}], " ", "+", " ", 
       RowBox[{"fS", 
        RowBox[{"(", 
         FractionBox["a", "2"], ")"}]}], " ", "+", " ", "cv"}], " ", "=", " ",
       "0"}]}], " ", ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"n0ST", "[", 
       RowBox[{"-", 
        FractionBox["a", "2"]}], "]"}], " ", "+", " ", 
      RowBox[{"fS", " ", 
       RowBox[{"(", 
        RowBox[{"-", 
         FractionBox["a", "2"]}], ")"}]}], "+", " ", "cv"}], " ", "=", " ", 
     "0"}], " ", ";", "\[IndentingNewLine]", 
    RowBox[{
    "using", " ", "the", " ", "natural", " ", "boundry", " ", 
     "conditions"}]}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"it", " ", "boils", " ", "to", "\[IndentingNewLine]", " ", "fS", 
       RowBox[{"(", 
        FractionBox["a", "2"], ")"}]}], " ", "+", " ", "cv"}], " ", "=", " ", 
     "0"}], " ", ";", "\[IndentingNewLine]", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"fS", " ", 
       RowBox[{"(", 
        RowBox[{"-", 
         FractionBox["a", "2"]}], ")"}]}], "+", " ", "cv"}], " ", "=", " ", 
     "0"}], " ", ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"which", " ", "gives", " ", "fS"}], " ", "=", " ", 
     RowBox[{"cv", " ", "=", "0"}]}]}], ",", 
   RowBox[{
    RowBox[{
    "and", " ", "therefore", " ", "the", " ", "differential", " ", "equation",
      " ", "\[IndentingNewLine]", "n0ST"}], " ", "=", " ", 
    RowBox[{
    "0", "\[IndentingNewLine]", "It", " ", "is", " ", "a", " ", "first", " ", 
     "order", " ", "differential", " ", 
     RowBox[{"equation", ".", " ", "Once"}], " ", "yw", " ", "is", " ", 
     "known"}]}], ",", " ", 
   RowBox[{
    RowBox[{
    "we", " ", "can", " ", "solve", " ", "it", " ", "in", " ", "conjuction", 
     " ", "with", " ", "the", " ", "integral", " ", "constraint", " ", 
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Integral]", 
        RowBox[{
         RowBox[{"-", "a"}], "/", "2"}]], 
       RowBox[{"a", "/", "2"}]], " ", 
      RowBox[{"yv", " ", "dT"}]}]}], " ", "=", " ", "0"}]}], 
  "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.877022513712929*^9, 3.877022516973556*^9}, {
   3.877053704553198*^9, 3.877053878151829*^9}, {3.877053927770347*^9, 
   3.8770539708771276`*^9}, {3.877054005678164*^9, 3.8770540984145823`*^9}, {
   3.877054172339796*^9, 3.8770542044057407`*^9}, {3.877054272363752*^9, 
   3.877054361658428*^9}, {3.8770544146945953`*^9, 3.877054629323852*^9}, {
   3.8770547469068613`*^9, 3.877054754411489*^9}, {3.8770547845039253`*^9, 
   3.87705481982298*^9}, {3.8770548715690413`*^9, 3.877054893102345*^9}, {
   3.877054928676278*^9, 3.8770549923643303`*^9}, {3.877055023972196*^9, 
   3.877055172801949*^9}, 3.8770553087096243`*^9, {3.877055987277916*^9, 
   3.877055993380925*^9}, {3.87705606612225*^9, 3.8770560699863253`*^9}, {
   3.877056152687504*^9, 3.877056202020637*^9}, {3.8770575913823843`*^9, 
   3.877057606080278*^9}, {3.87713985126781*^9, 3.877139858981791*^9}, {
   3.87715221886835*^9, 3.8771522627296133`*^9}, 3.87715265504243*^9, {
   3.8772314054939938`*^9, 3.877231405777104*^9}, {3.877351548586211*^9, 
   3.877351552505745*^9}, {3.87735173217245*^9, 3.877351964560194*^9}, {
   3.877352167121801*^9, 3.877352171066856*^9}, {3.877352203476626*^9, 
   3.877352208011215*^9}, 3.877370355720194*^9, 3.877411277191889*^9, {
   3.8774397117574587`*^9, 3.8774397372743607`*^9}, {3.8774397838838882`*^9, 
   3.8774398229323072`*^9}, 3.88398537745745*^9},
 CellLabel->"In[27]:=",ExpressionUUID->"cb9b9e28-c149-4174-8d83-d32661636d63"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "setting", " ", "the", " ", "expressions", " ", "of", " ", "cv", " ", 
     "and", " ", "fS", " ", "back", " ", "in", " ", "the", " ", "differntial",
      " ", "equation", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         SuperscriptBox[
          SubscriptBox["\[Integral]", "0"], "T"], 
         RowBox[{
          RowBox[{"gv0", "[", "m", "]"}], " ", "dm"}]}], " ", "-", " ", "gv1",
         " ", "+", " ", "Cv"}], " ", "=", "0"}], ")"}]}], ",", " ", 
    RowBox[{"we", " ", 
     RowBox[{"get", ":"}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.877022513712929*^9, 3.877022516973556*^9}, {
   3.877053704553198*^9, 3.877053878151829*^9}, {3.877053927770347*^9, 
   3.8770539708771276`*^9}, {3.877054005678164*^9, 3.8770540984145823`*^9}, {
   3.877054172339796*^9, 3.8770542044057407`*^9}, {3.877054272363752*^9, 
   3.877054361658428*^9}, {3.8770544146945953`*^9, 3.877054629323852*^9}, {
   3.8770547469068613`*^9, 3.877054754411489*^9}, {3.8770547845039253`*^9, 
   3.87705481982298*^9}, {3.8770548715690413`*^9, 3.877054893102345*^9}, {
   3.877054928676278*^9, 3.8770549923643303`*^9}, {3.877055023972196*^9, 
   3.877055172801949*^9}, 3.8770553087096243`*^9, {3.877055987277916*^9, 
   3.877055993380925*^9}, {3.87705606612225*^9, 3.8770560699863253`*^9}, {
   3.877056152687504*^9, 3.877056164781526*^9}, {3.877057448436517*^9, 
   3.877057582965824*^9}, 3.877057629974504*^9, 3.877061239038818*^9, {
   3.877061535943677*^9, 3.877061537599843*^9}, {3.8770766985244217`*^9, 
   3.8770767148114023`*^9}, {3.877076751935779*^9, 3.877076752633669*^9}, {
   3.877152663943523*^9, 3.877152671808134*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"8addf72c-9220-4bd1-aff1-c5f27cf27835"],

Cell[BoxData[
 RowBox[{"diffEqnYv", " ", "=", " ", 
  RowBox[{"n0STExp", "[", "T", "]"}]}]], "Input",
 CellChangeTimes->{{3.877022513712929*^9, 3.877022516973556*^9}, {
   3.877053704553198*^9, 3.877053878151829*^9}, {3.877053927770347*^9, 
   3.8770539708771276`*^9}, {3.877054005678164*^9, 3.8770540984145823`*^9}, {
   3.877054172339796*^9, 3.8770542044057407`*^9}, {3.877054272363752*^9, 
   3.877054361658428*^9}, {3.8770544146945953`*^9, 3.877054629323852*^9}, {
   3.8770547469068613`*^9, 3.877054754411489*^9}, {3.8770547845039253`*^9, 
   3.87705481982298*^9}, {3.8770548715690413`*^9, 3.877054893102345*^9}, {
   3.877054928676278*^9, 3.8770549923643303`*^9}, {3.877055023972196*^9, 
   3.877055172801949*^9}, 3.8770553087096243`*^9, {3.877055987277916*^9, 
   3.877055993380925*^9}, {3.87705606612225*^9, 3.8770560699863253`*^9}, {
   3.877056152687504*^9, 3.877056164781526*^9}, {3.877057448436517*^9, 
   3.877057582965824*^9}, 3.877057629974504*^9, 3.877061239038818*^9, {
   3.877061535943677*^9, 3.877061537599843*^9}, {3.8770766985244217`*^9, 
   3.877076812499345*^9}, {3.877076903820915*^9, 3.87707695883564*^9}, {
   3.877077309118314*^9, 3.877077319939056*^9}, {3.87707793574288*^9, 
   3.877077937712892*^9}, {3.877142105241219*^9, 3.877142106546664*^9}, {
   3.877142569927475*^9, 3.877142570658235*^9}, {3.877143708002226*^9, 
   3.8771437088654737`*^9}, 3.877351558347041*^9, {3.877352642118937*^9, 
   3.877352647825848*^9}, {3.8773527734360228`*^9, 3.877352787872979*^9}, {
   3.877353026125814*^9, 3.8773530294897118`*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"a041d4d2-6491-4c4c-9c02-a694097a3560"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "In", " ", "the", " ", "differential", " ", "equation", " ", 
      "diffEqnYv"}], " ", "=", " ", "0"}], ",", " ", 
    RowBox[{"we", " ", "collect", " ", 
     SubscriptBox["yv", 
      RowBox[{",", "T"}]], " ", "on", " ", "left", " ", "hand", " ", "side", 
     " ", "and", " ", "rest", " ", "of", " ", "the", " ", "terms", " ", "on", 
     " ", "right", " ", "hand", " ", "side", " ", "as"}]}], " ", "*)"}], " ", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"yvDT", "=", 
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"yv", "'"}], "[", "T", "]"}], "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Collect", "[", 
            RowBox[{
             RowBox[{"Simplify", "[", 
              RowBox[{"diffEqnYv", "/", " ", 
               RowBox[{"(", 
                RowBox[{
                 FractionBox["1", "2"], " ", "KmExp", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "\[Nu]"}], ")"}]}], " ", ")"}]}], 
              "]"}], ",", 
             RowBox[{
              RowBox[{"yv", "'"}], "[", "T", "]"}], ",", "FullSimplify"}], 
            "]"}], "==", "0"}], ",", 
          RowBox[{
           RowBox[{"yv", "'"}], "[", "T", "]"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"yw", "[", "T", "]"}], ",", 
        RowBox[{
         RowBox[{"yw", "'"}], "[", "T", "]"}], ",", 
        RowBox[{
         RowBox[{"yw", "''"}], "[", "T", "]"}]}], "}"}], ",", 
      "FullSimplify"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "It", " ", "is", " ", "a", " ", "first", " ", "order", " ", 
      "differential", " ", 
      RowBox[{"equation", ".", " ", "Once"}], " ", "yw", " ", "is", " ", 
      "known"}], ",", " ", 
     RowBox[{
      RowBox[{
      "we", " ", "can", " ", "solve", " ", "it", " ", "in", " ", "conjuction",
        " ", "with", " ", "the", " ", "integral", " ", "constraint", " ", 
       RowBox[{
        SuperscriptBox[
         SubscriptBox["\[Integral]", 
          RowBox[{
           RowBox[{"-", "a"}], "/", "2"}]], 
         RowBox[{"a", "/", "2"}]], " ", 
        RowBox[{"yv", " ", "dT"}]}]}], " ", "=", " ", "0"}]}], " ", 
    "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.877077485266654*^9, 3.877077512618775*^9}, {
  3.87707764985079*^9, 3.87707777119314*^9}, {3.877077940731495*^9, 
  3.8770779427916517`*^9}, {3.8770820685160646`*^9, 3.8770820724413347`*^9}, {
  3.877151913837326*^9, 3.877151914370894*^9}, {3.877351369482993*^9, 
  3.877351372591715*^9}, {3.8773515641497498`*^9, 3.8773515737122173`*^9}, {
  3.877352800658642*^9, 3.877352801122967*^9}, {3.8773528378689003`*^9, 
  3.877352849600806*^9}, {3.87735289061014*^9, 3.877352891060618*^9}, {
  3.877530512275743*^9, 3.8775305262383537`*^9}, {3.87753110260773*^9, 
  3.8775311086007566`*^9}, {3.877614067382983*^9, 3.877614079750996*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"38cb7251-13ec-4a86-8500-6c90b3fdc418"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Terms with \[Delta]yu and its derivatives", "Subsection",
 CellChangeTimes->{{3.877077814628242*^9, 3.877077832239193*^9}, {
   3.877078007699695*^9, 3.877078022770813*^9}, {3.877078463882415*^9, 
   3.87707847019411*^9}, {3.8770788337372713`*^9, 3.877078856901472*^9}, {
   3.8770792699972754`*^9, 3.877079283634603*^9}, {3.87708059214437*^9, 
   3.877080746281103*^9}, {3.877080784083632*^9, 3.877080873180328*^9}, {
   3.877080977334309*^9, 3.8770809985672626`*^9}, {3.877081100754863*^9, 
   3.87708115591438*^9}, 3.8773513736333017`*^9, {3.877351603186557*^9, 
   3.877351608398147*^9}, {3.8773519860685997`*^9, 3.8773520245993032`*^9}, {
   3.87735212916856*^9, 3.877352158967847*^9}, {3.877352188987954*^9, 
   3.87735221987646*^9}, {3.877439859555637*^9, 3.877439883123433*^9}, {
   3.877614118370427*^9, 
   3.8776141253689833`*^9}},ExpressionUUID->"9b7feb6f-bab4-421b-991f-\
7e76ae3ff93f"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
     "calculation", " ", "of", " ", "differential", " ", "equation", " ", 
      "for", " ", 
      RowBox[{"yu", ":", " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          SubscriptBox["\[Integral]", 
           RowBox[{
            RowBox[{"-", "a"}], "/", "2"}]], 
          RowBox[{"a", "/", "2"}]], " ", 
         RowBox[{
          RowBox[{"-", "fT"}], " ", "\[Delta]yu"}]}], " ", "+", " ", 
        RowBox[{"n0TT", " ", 
         SubscriptBox["\[Delta]yu", 
          RowBox[{",", "T"}]], " ", "dT"}]}]}]}], "=", "0"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox[
        SubscriptBox["\[Integral]", 
         RowBox[{
          RowBox[{"-", "a"}], "/", "2"}]], 
        RowBox[{"a", "/", "2"}]], " ", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"fT", " ", "+", " ", 
           SubscriptBox["n0TT", 
            RowBox[{",", "T"}]]}], ")"}]}], " ", "\[Delta]yu", " ", "dT"}]}], 
      "+", " ", 
      SuperscriptBox[
       SubscriptBox[
        RowBox[{"[", 
         RowBox[{"n0TT", " ", "\[Delta]yu"}], "]"}], 
        RowBox[{
         RowBox[{"-", "a"}], "/", "2"}]], 
       RowBox[{"a", "/", "2"}]]}], " ", "=", "0"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
     "we", " ", "get", " ", "natural", " ", "boundary", " ", "conditions", 
      " ", 
      RowBox[{"as", ":", " ", 
       RowBox[{"n0TT", "[", 
        RowBox[{
         RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}]}], "=", "0"}]}], 
   ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "and", " ", "the", " ", "differential", " ", "equation", " ", "as", 
      "\[IndentingNewLine]", "fT"}], " ", "+", " ", 
     SubscriptBox["n0TT", 
      RowBox[{",", "T"}]]}], " ", "=", 
    RowBox[{"0", "\[IndentingNewLine]", "on", " ", "integrating"}]}], ",", 
   " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"we", " ", "get", "\[IndentingNewLine]", "fT", " ", "T"}], " ", 
      "+", " ", "n0TT", " ", "+", " ", "cu"}], " ", "=", "0"}], ";", " ", 
    RowBox[{
     RowBox[{"where", " ", "cu"}], " ", "=", " ", 
     RowBox[{"constant", " ", "of", " ", "integration"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"at", " ", "T"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "\[IndentingNewLine]", 
        "fT", " ", 
        RowBox[{"(", 
         FractionBox["a", "2"], ")"}]}], " ", "+", " ", 
       RowBox[{"n0TT", "[", 
        FractionBox["a", "2"], "]"}], " ", "+", " ", "cu"}], " ", "=", " ", 
      "0"}]}], " ", ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"fT", " ", 
       RowBox[{"(", 
        RowBox[{"-", 
         FractionBox["a", "2"]}], ")"}]}], " ", "+", " ", 
      RowBox[{"n0TT", "[", 
       RowBox[{"-", 
        FractionBox["a", "2"]}], "]"}], " ", "+", " ", "cu"}], " ", "=", " ", 
     "0"}], " ", ";", "\[IndentingNewLine]", 
    RowBox[{
    "using", " ", "the", " ", "natural", " ", "boundry", " ", 
     "conditions"}]}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"it", " ", "boils", " ", "to", "\[IndentingNewLine]", "fT", " ", 
       RowBox[{"(", 
        FractionBox["a", "2"], ")"}]}], "  ", "+", " ", "cu"}], " ", "=", " ",
      "0"}], " ", ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"fT", " ", 
       RowBox[{"(", 
        RowBox[{"-", 
         FractionBox["a", "2"]}], ")"}]}], " ", "+", " ", "cu"}], " ", "=", 
     " ", "0"}], " ", ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"which", " ", "gives", " ", "us", " ", "fT"}], " ", "=", " ", 
     RowBox[{"cu", " ", "=", " ", "0"}]}], ";", " ", 
    RowBox[{
     RowBox[{
     "and", " ", "therefore", " ", "the", " ", "differential", " ", 
      "equation", " ", "\[IndentingNewLine]", "n0TT"}], " ", "=", " ", 
     RowBox[{
     "0", "\[IndentingNewLine]", "\[IndentingNewLine]", "It", " ", "is", " ", 
      "a", " ", "first", " ", "order", " ", "differential", " ", 
      RowBox[{"equation", ".", " ", "Once"}], " ", "yw", " ", "is", " ", 
      "known"}]}]}], ",", " ", 
   RowBox[{
    RowBox[{
    "we", " ", "can", " ", "solve", " ", "it", " ", "in", " ", "conjuction", 
     " ", "with", " ", "the", " ", "integral", " ", "constraint", " ", 
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Integral]", 
        RowBox[{
         RowBox[{"-", "a"}], "/", "2"}]], 
       RowBox[{"a", "/", "2"}]], " ", 
      RowBox[{"yu", " ", "dT"}]}]}], " ", "=", " ", "0"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.877077814628242*^9, 3.877077832239193*^9}, {
   3.877078007699695*^9, 3.877078022770813*^9}, {3.877078463882415*^9, 
   3.87707847019411*^9}, {3.8770788337372713`*^9, 3.877078856901472*^9}, {
   3.8770792699972754`*^9, 3.877079283634603*^9}, {3.87708059214437*^9, 
   3.877080746281103*^9}, {3.877080784083632*^9, 3.877080873180328*^9}, {
   3.877080977334309*^9, 3.8770809985672626`*^9}, {3.877081100754863*^9, 
   3.87708115591438*^9}, 3.8773513736333017`*^9, {3.877351603186557*^9, 
   3.877351608398147*^9}, {3.8773519860685997`*^9, 3.8773520245993032`*^9}, {
   3.87735212916856*^9, 3.877352158967847*^9}, {3.877352188987954*^9, 
   3.87735221987646*^9}, {3.877439859555637*^9, 3.877439883123433*^9}, 
   3.877614118370427*^9},
 CellLabel->"In[31]:=",ExpressionUUID->"109c13bf-1347-4b42-a07e-e4bd374df859"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "collect", " ", "coefficient", " ", "of", " ", "\[Delta]yu", " ", "and", 
    " ", "its", " ", "derivatives", " ", "in", " ", "the", " ", "variational",
     " ", "form"}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"eqYu", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{"eqToSolveForY", " ", "/.", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Delta]yw", "->", " ", 
          RowBox[{"(", 
           RowBox[{"0", "&"}], ")"}]}], ",", 
         RowBox[{"\[Delta]yv", "->", " ", 
          RowBox[{"(", 
           RowBox[{"0", "&"}], ")"}]}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Delta]yu", "[", "T", "]"}], ",", 
       RowBox[{
        RowBox[{"\[Delta]yu", "'"}], "[", "T", "]"}]}], "}"}], ",", 
     "FullSimplify"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.877077814628242*^9, 3.877077832239193*^9}, {
  3.877078007699695*^9, 3.877078022770813*^9}, {3.877078463882415*^9, 
  3.877078470701952*^9}, {3.877081949186699*^9, 3.877081966588032*^9}, {
  3.8770820514589443`*^9, 3.877082052840279*^9}, {3.877082340558381*^9, 
  3.8770823889757*^9}, {3.8770827262357407`*^9, 3.877082760095502*^9}, {
  3.8770828076886253`*^9, 3.8770828140086193`*^9}, {3.877331232816818*^9, 
  3.8773313062351017`*^9}, {3.877331338625215*^9, 3.877331339444387*^9}, {
  3.877352925128697*^9, 3.87735292576528*^9}, {3.8775305385264463`*^9, 
  3.877530553345792*^9}, {3.877614193423218*^9, 3.877614197771323*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"0fe2909e-1d14-4177-b189-c68e840bf172"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Differential", " ", "equation", " ", 
     RowBox[{"n0TT", "[", "T", "]"}]}], " ", "=", " ", 
    RowBox[{"0.", " ", "We", " ", "collect", " ", 
     SubscriptBox["yu", 
      RowBox[{",", "T"}]], " ", "from", " ", "it", " ", "as"}]}], "  ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"yuDT", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"yu", "'"}], "[", "T", "]"}], "/.", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Simplify", "[", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"n0TTExp", "[", "T", "]"}], "/", "KmExp"}], ")"}], "]"}], 
         "==", "0"}], ",", 
        RowBox[{
         RowBox[{"yu", "'"}], "[", "T", "]"}], ",", 
        RowBox[{"Assumptions", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", 
             SuperscriptBox["\[Nu]", "2"]}], ")"}], "\[NotEqual]", "0"}], 
          "}"}]}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.877082469528946*^9, 3.877082479368155*^9}, {
   3.877082663395711*^9, 3.877082708936462*^9}, 3.877082784839858*^9, 
   3.8770828190243807`*^9, {3.8770828510190887`*^9, 3.877082901968637*^9}, 
   3.8770829834442377`*^9, {3.8770848112526007`*^9, 3.8770848152221603`*^9}, {
   3.877085419627633*^9, 3.8770854243477993`*^9}, {3.877143735567498*^9, 
   3.877143736827957*^9}, {3.877236791716367*^9, 3.877236796984006*^9}, {
   3.877236962974997*^9, 3.877236963997034*^9}, {3.877237022501871*^9, 
   3.877237030006996*^9}, {3.877237060767922*^9, 3.877237088382408*^9}, 
   3.877237124590249*^9, 3.877237174737205*^9, {3.877237223457127*^9, 
   3.8772373335261173`*^9}, {3.8773513750930853`*^9, 3.87735137623279*^9}, {
   3.877351612325914*^9, 3.877351622426355*^9}, {3.877352936230372*^9, 
   3.8773530085654716`*^9}, {3.877353079124792*^9, 3.8773531221378727`*^9}, {
   3.877353182823371*^9, 3.877353213014977*^9}, {3.877614241214658*^9, 
   3.8776142854707537`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"837f8e32-0d23-4373-a429-facf2e89876b"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Terms with \[Delta]yw and its derivatives", "Subsection",
 CellChangeTimes->{{3.8770832512980013`*^9, 3.877083258242156*^9}, {
   3.877083644876461*^9, 3.8770836735219717`*^9}, {3.877085437627351*^9, 
   3.877085453979806*^9}, {3.877085580733629*^9, 3.877085675922286*^9}, {
   3.877085710125102*^9, 3.877085853811496*^9}, {3.877085925894361*^9, 
   3.877085968998953*^9}, {3.877086098699175*^9, 3.877086272203559*^9}, {
   3.877086306402602*^9, 3.8770863657026567`*^9}, {3.877086514753149*^9, 
   3.8770866800938797`*^9}, {3.877086747648378*^9, 3.8770868146774893`*^9}, {
   3.877086858044056*^9, 3.877086872467382*^9}, {3.87708696448761*^9, 
   3.877086973860702*^9}, {3.877087080053789*^9, 3.877087080689988*^9}, {
   3.877087116417864*^9, 3.877087284882596*^9}, {3.877087327523135*^9, 
   3.877087458990073*^9}, {3.877087737120924*^9, 3.8770879730724573`*^9}, {
   3.877088003441382*^9, 3.8770883601528*^9}, {3.8770884083492126`*^9, 
   3.877088427246805*^9}, {3.877089819355278*^9, 3.877089844373837*^9}, {
   3.8770899517052794`*^9, 3.87708997878941*^9}, {3.8770900210095863`*^9, 
   3.8770900328150253`*^9}, 3.8770906151099577`*^9, 3.877236801468814*^9, {
   3.8773184730153503`*^9, 3.877318550408924*^9}, 3.877340891187858*^9, {
   3.877351377722184*^9, 3.87735138580548*^9}, {3.8773524679430237`*^9, 
   3.877352469958392*^9}, {3.87735599755221*^9, 3.877356001609378*^9}, 
   3.87736123869627*^9, 3.877370356972228*^9, {3.877371027851516*^9, 
   3.8773710542141*^9}, 3.877411286560328*^9, {3.877420988114293*^9, 
   3.8774210674756308`*^9}, {3.8776143073531103`*^9, 
   3.877614333717972*^9}},ExpressionUUID->"e82d03b9-a802-49f6-a587-\
7b8f42320a38"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "collect", " ", "coefficient", " ", "of", " ", "\[Delta]yw", " ", "and", 
    " ", "its", " ", "derivatives", " ", "in", " ", "the", " ", "variational",
     " ", "form"}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"eqyw", "=", 
     RowBox[{"Collect", "[", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"eqToSolveForY", "/.", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Delta]yu", "->", " ", 
             RowBox[{"(", 
              RowBox[{"0", "&"}], ")"}]}], ",", 
            RowBox[{"\[Delta]yv", "->", " ", 
             RowBox[{"(", 
              RowBox[{"0", "&"}], ")"}]}]}], "}"}]}], " ", "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"n0TT", "->", " ", 
            RowBox[{"(", 
             RowBox[{"0", "&"}], ")"}]}], ",", 
           RowBox[{"n0ST", "->", " ", 
            RowBox[{"(", 
             RowBox[{"0", "&"}], ")"}]}]}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Delta]yw", "[", "T", "]"}], ",", 
         RowBox[{
          RowBox[{"\[Delta]yw", "'"}], "[", "T", "]"}], ",", 
         RowBox[{
          RowBox[{"\[Delta]yw", "''"}], "[", "T", "]"}]}], "}"}], ",", 
       "FullSimplify"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"sanity", " ", 
      RowBox[{"check", ":", " ", 
       RowBox[{
       "Have", " ", "included", " ", "all", " ", "the", " ", "terms", " ", 
        "of", " ", "variational", " ", "form", " ", "in", " ", "the", " ", 
        "three", " ", "equations", " ", "eqYu"}]}]}], ",", " ", "eqyv", ",", 
     " ", 
     RowBox[{"and", " ", 
      RowBox[{"eqyw", "?"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"If", "[", 
    RowBox[{"doSanityCheck", ",", 
     RowBox[{"CheckSanity", "[", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eqYu", "+", "eqYv", "+", "eqyw"}], ")"}], "-", 
           "eqToSolveForY"}], ")"}], "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"n0TT", "->", " ", 
            RowBox[{"(", 
             RowBox[{"0", "&"}], ")"}]}], ",", 
           RowBox[{"n0ST", "->", " ", 
            RowBox[{"(", 
             RowBox[{"0", "&"}], ")"}]}]}], "}"}]}], "]"}], "==", "0"}], 
      "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"reorganize", " ", "eqyw"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"eqyw", "=", 
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{"eqyw", " ", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"yu", "'"}], "[", "T", "]"}], "->", " ", "yuDT"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"yv", "'"}], "[", "T", "]"}], "->", " ", "yvDT"}]}], 
        "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Delta]yw", "[", "T", "]"}], ",", 
        RowBox[{
         RowBox[{"\[Delta]yw", "'"}], "[", "T", "]"}], ",", 
        RowBox[{
         RowBox[{"\[Delta]yw", "''"}], "[", "T", "]"}]}], "}"}], ",", 
      "FullSimplify"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8770832512980013`*^9, 3.877083258242156*^9}, {
   3.877083644876461*^9, 3.8770836735219717`*^9}, {3.877085437627351*^9, 
   3.877085453979806*^9}, {3.877085580733629*^9, 3.877085675922286*^9}, {
   3.877085710125102*^9, 3.877085853811496*^9}, {3.877085925894361*^9, 
   3.877085968998953*^9}, {3.877086098699175*^9, 3.877086272203559*^9}, {
   3.877086306402602*^9, 3.8770863657026567`*^9}, {3.877086514753149*^9, 
   3.8770866800938797`*^9}, {3.877086747648378*^9, 3.8770868146774893`*^9}, {
   3.877086858044056*^9, 3.877086872467382*^9}, {3.87708696448761*^9, 
   3.877086973860702*^9}, {3.877087080053789*^9, 3.877087080689988*^9}, {
   3.877087116417864*^9, 3.877087284882596*^9}, {3.877087327523135*^9, 
   3.877087458990073*^9}, {3.877087737120924*^9, 3.8770879730724573`*^9}, {
   3.877088003441382*^9, 3.8770883601528*^9}, {3.8770884083492126`*^9, 
   3.877088427246805*^9}, {3.877089819355278*^9, 3.877089844373837*^9}, {
   3.8770899517052794`*^9, 3.87708997878941*^9}, {3.8770900210095863`*^9, 
   3.8770900328150253`*^9}, 3.8770906151099577`*^9, 3.877236801468814*^9, {
   3.8773184730153503`*^9, 3.877318550408924*^9}, 3.877340891187858*^9, {
   3.877351377722184*^9, 3.87735138580548*^9}, {3.8773524679430237`*^9, 
   3.877352469958392*^9}, {3.87735599755221*^9, 3.877356001609378*^9}, 
   3.87736123869627*^9, 3.877370356972228*^9, {3.877371027851516*^9, 
   3.8773710542141*^9}, 3.877411286560328*^9, {3.877420988114293*^9, 
   3.8774210674756308`*^9}, {3.8776143073531103`*^9, 3.877614312336473*^9}, {
   3.877614385750164*^9, 3.8776144304707193`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"165f5808-e1ca-48a8-ad4e-577227db35a5"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
     "Calculation", " ", "of", " ", "differential", " ", "equation", " ", 
      "for", " ", 
      RowBox[{"yw", ":", "\[IndentingNewLine]", 
       RowBox[{
        SuperscriptBox[
         SubscriptBox["\[Integral]", 
          RowBox[{
           RowBox[{"-", "a"}], "/", "2"}]], 
         RowBox[{"a", "/", "2"}]], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"gw0", " ", "\[Delta]yw"}], " ", "+", " ", 
           RowBox[{"gw2", " ", 
            SubscriptBox["\[Delta]yw", 
             RowBox[{",", "TT"}]]}]}], ")"}], " ", "dT"}]}]}]}], "=", "0"}], 
    ";", " ", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"we", " ", "can", " ", "write", " ", 
      RowBox[{
       SuperscriptBox[
        SubscriptBox["\[Integral]", 
         RowBox[{
          RowBox[{"-", "a"}], "/", "2"}]], 
        RowBox[{"a", "/", "2"}]], " ", 
       RowBox[{"gw2", " ", 
        SubscriptBox["\[Delta]yw", 
         RowBox[{",", "TT"}]], " ", "dT", " ", "as", "\[IndentingNewLine]", 
        RowBox[{
         SuperscriptBox[
          SubscriptBox["\[Integral]", 
           RowBox[{
            RowBox[{"-", "a"}], "/", "2"}]], 
          RowBox[{"a", "/", "2"}]], " ", 
         RowBox[{"gw2", " ", 
          SubscriptBox["\[Delta]yw", 
           RowBox[{",", "TT"}]], " ", "dT"}]}]}]}]}], " ", "=", "  ", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        SubscriptBox["\[Integral]", 
         RowBox[{
          RowBox[{"-", "a"}], "/", "2"}]], 
        RowBox[{"a", "/", "2"}]], " ", 
       RowBox[{
        SubscriptBox[
         RowBox[{"(", 
          RowBox[{"gw2", " ", 
           SubscriptBox["\[Delta]yw", 
            RowBox[{",", "T"}]]}], ")"}], 
         RowBox[{",", "T"}]], " ", "dT"}]}], " ", "-", " ", 
      RowBox[{
       SuperscriptBox[
        SubscriptBox["\[Integral]", 
         RowBox[{
          RowBox[{"-", "a"}], "/", "2"}]], 
        RowBox[{"a", "/", "2"}]], " ", 
       RowBox[{
        SubscriptBox["gw2", 
         RowBox[{",", "T"}]], " ", 
        SubscriptBox["\[Delta]yw", 
         RowBox[{",", "T"}]], " ", "dT"}]}]}]}]}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["\[Integral]", 
       RowBox[{
        RowBox[{"-", "a"}], "/", "2"}]], 
      RowBox[{"a", "/", "2"}]], " ", 
     RowBox[{"gw2", " ", 
      SubscriptBox["\[Delta]yw", 
       RowBox[{",", "TT"}]], " ", "dT"}]}], " ", "=", "  ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox[
       RowBox[{"[", 
        RowBox[{"gw2", " ", 
         SubscriptBox["\[Delta]yw", 
          RowBox[{",", "T"}]]}], "]"}], 
       RowBox[{
        RowBox[{"-", "a"}], "/", "2"}]], 
      RowBox[{"a", "/", "2"}]], " ", "-", " ", 
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Integral]", 
        RowBox[{
         RowBox[{"-", "a"}], "/", "2"}]], 
       RowBox[{"a", "/", "2"}]], " ", 
      RowBox[{
       SubscriptBox["gw2", 
        RowBox[{",", "T"}]], " ", 
       SubscriptBox["\[Delta]yw", 
        RowBox[{",", "T"}]], " ", "dT"}]}]}]}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
    "this", " ", "gives", " ", "first", " ", "natural", " ", "boundary", " ", 
     "condition", " ", "as", " ", 
     RowBox[{"gw2", "[", 
      RowBox[{
       RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}], " ", "=", " ", 
    "0"}], ",", " ", 
   RowBox[{"on", " ", "clubbing", " ", "terms"}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "which", " ", "can", " ", "be", " ", "rewritten", " ", "as", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"yw", "''"}], "[", 
       RowBox[{
        RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}], " ", "=", " ", 
     RowBox[{"D2ywBc", "[", 
      RowBox[{
       RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}], ";", " ", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"on", " ", "setting", " ", 
      RowBox[{
       SuperscriptBox[
        SubscriptBox["\[Integral]", 
         RowBox[{
          RowBox[{"-", "a"}], "/", "2"}]], 
        RowBox[{"a", "/", "2"}]], " ", 
       RowBox[{"gw2", " ", 
        SubscriptBox["\[Delta]yw", 
         RowBox[{",", "TT"}]], " ", "dT"}]}]}], " ", "=", 
     RowBox[{
      RowBox[{"-", " ", 
       RowBox[{
        SuperscriptBox[
         SubscriptBox["\[Integral]", 
          RowBox[{
           RowBox[{"-", "a"}], "/", "2"}]], 
         RowBox[{"a", "/", "2"}]], " ", 
        RowBox[{
         SubscriptBox["gw2", 
          RowBox[{",", "T"}]], " ", 
         SubscriptBox["\[Delta]yw", 
          RowBox[{",", "T"}]], " ", "dT", " ", "in", " ", "the", " ", 
         "initial", " ", "equation", " ", "above", " ", "and", " ", "taking", 
         " ", "the", " ", "terms", " ", "with", " ", "factor", " ", 
         SubscriptBox["\[Delta]yw", 
          RowBox[{",", "T"}]], " ", "\[IndentingNewLine]", 
         RowBox[{
          SuperscriptBox[
           SubscriptBox["\[Integral]", 
            RowBox[{
             RowBox[{"-", "a"}], "/", "2"}]], 
           RowBox[{"a", "/", "2"}]], " ", 
          RowBox[{
           RowBox[{"(", " ", 
            RowBox[{
             SubscriptBox["gw2", 
              RowBox[{",", "T"}]], " ", 
             SubscriptBox["\[Delta]yw", 
              RowBox[{",", "T"}]]}], ")"}], " ", "dT"}]}]}]}]}], " ", "=", 
      " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         SubscriptBox["\[Integral]", 
          RowBox[{
           RowBox[{"-", "a"}], "/", "2"}]], 
         RowBox[{"a", "/", "2"}]], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"-", 
           SubscriptBox["gw2", 
            RowBox[{",", "TT"}]]}], ")"}], " ", "\[Delta]yw", " ", "dT"}]}], 
       " ", "+", " ", 
       SuperscriptBox[
        SubscriptBox[
         RowBox[{"[", 
          RowBox[{
           SubscriptBox["gw2", 
            RowBox[{",", "T"}]], "\[Delta]yw"}], "]"}], 
         RowBox[{
          RowBox[{"-", "a"}], "/", "2"}]], 
        RowBox[{"a", "/", "2"}]]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
     "this", " ", "gives", " ", "the", " ", "second", " ", "natural", " ", 
      "boundary", " ", "condition", " ", "as", " ", 
      SubscriptBox["gw2", 
       RowBox[{",", "T"}]]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"0", " ", "at", " ", "T"}], "=", 
      RowBox[{
       RowBox[{"\[PlusMinus]", "a"}], "/", "2"}]}]}]}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"which", " ", "can", " ", "be", " ", "rewritten", " ", "as", "  ", 
      RowBox[{
       RowBox[{"yw", "'''"}], "[", 
       RowBox[{
        RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}], " ", "=", " ", 
     RowBox[{"D3ywBc", "[", 
      RowBox[{
       RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"on", " ", "using", " ", 
      RowBox[{
       SuperscriptBox[
        SubscriptBox["\[Integral]", 
         RowBox[{
          RowBox[{"-", "a"}], "/", "2"}]], 
        RowBox[{"a", "/", "2"}]], " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", " ", 
          SubscriptBox["gw2", 
           RowBox[{",", "T"}]]}], ")"}], " ", 
        SubscriptBox["\[Delta]yw", 
         RowBox[{",", "T"}]], " ", "dT"}]}]}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Integral]", 
        RowBox[{
         RowBox[{"-", "a"}], "/", "2"}]], 
       RowBox[{"a", "/", "2"}]], " ", 
      RowBox[{
       SubscriptBox["gw2", 
        RowBox[{",", "TT"}]], " ", "\[Delta]yw", " ", "dT"}]}]}]}], ",", " ", 
   
   RowBox[{
    RowBox[{
     RowBox[{
     "we", " ", "can", " ", "rewrite", " ", "the", " ", "inital", " ", 
      "equation", " ", "as", "\[IndentingNewLine]", "  ", 
      RowBox[{
       SuperscriptBox[
        SubscriptBox["\[Integral]", 
         RowBox[{
          RowBox[{"-", "a"}], "/", "2"}]], 
        RowBox[{"a", "/", "2"}]], " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"gw0", " ", "+", " ", 
          SubscriptBox["gw2", 
           RowBox[{",", "TT"}]]}], ")"}], "\[Delta]yw", "  ", "dT"}]}]}], "=",
      "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{"on", " ", "rearranging", " ", "the", " ", "terms"}]}], ",", " ", 
   
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
      "we", " ", "get", " ", "the", " ", "differential", " ", "equation", " ",
        "for", " ", "yw", " ", "as", "  ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"yw", "''''"}], "[", "T", "]"}]}], " ", "+", " ", 
      RowBox[{"coefyw", " ", 
       RowBox[{"yw", "[", "T", "]"}]}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"nonHomyw", "[", "T", "]"}], " ", "+", " ", 
      FractionBox["fN", "Db"], " ", "+", " ", 
      FractionBox[
       RowBox[{"T", " ", "gN"}], "Db"]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
      "intergrating", " ", "the", " ", "above", " ", "equation", " ", "along",
        " ", "T", " ", "from"}], " ", "-", 
      RowBox[{
       RowBox[{"a", "/", "2"}], " ", "to", " ", 
       RowBox[{"a", "/", "2"}], " ", "and", " ", "using", " ", "the", " ", 
       "first", " ", "natural", " ", "boundary", " ", "condition", " ", "and",
        " ", 
       RowBox[{
        SuperscriptBox[
         SubscriptBox["\[Integral]", 
          RowBox[{
           RowBox[{"-", "a"}], "/", "2"}]], 
         RowBox[{"a", "/", "2"}]], 
        RowBox[{"yw", " ", "dT"}]}]}]}], " ", "=", " ", "0"}]}], ",", " ", 
   RowBox[{
    RowBox[{"we", " ", "get", " ", "fN", " ", "\[IndentingNewLine]", "fN"}], 
    "=", " ", 
    RowBox[{
     SuperscriptBox[
      SubscriptBox[
       RowBox[{
        RowBox[{"(", 
         FractionBox["Db", "a"], ")"}], "[", 
        RowBox[{
         RowBox[{
          RowBox[{"yw", "'''"}], "[", "T", "]"}], "-", 
         RowBox[{"inonHomyw", "[", "T", "]"}]}], "]"}], 
       RowBox[{
        RowBox[{"-", "a"}], "/", "2"}]], 
      RowBox[{"a", "/", "2"}]], " ", "=", " ", 
     SuperscriptBox[
      SubscriptBox[
       RowBox[{
        RowBox[{"(", 
         FractionBox["Db", "a"], ")"}], "[", 
        RowBox[{
         RowBox[{"D3ywBc", "[", "T", "]"}], "-", 
         RowBox[{"inonHomyw", "[", "T", "]"}]}], "]"}], 
       RowBox[{
        RowBox[{"-", "a"}], "/", "2"}]], 
      RowBox[{"a", "/", "2"}]]}]}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"where", " ", 
      RowBox[{"inonHomyw", "[", "T", "]"}]}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Integral]", "0"], "T"], " ", 
      RowBox[{
       RowBox[{"nonHomyw", "[", "m", "]"}], " ", "dm"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
      "we", " ", "multiply", " ", "the", " ", "differential", " ", "equation",
        " ", "by", " ", "T", "\[IndentingNewLine]", "T", " ", 
       RowBox[{
        RowBox[{"yw", "''''"}], "[", "T", "]"}]}], " ", "+", " ", 
      RowBox[{"T", " ", "coefyw", " ", 
       RowBox[{"yw", "[", "T", "]"}]}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"T", " ", 
       RowBox[{"nonHomyw", "[", "T", "]"}]}], " ", "+", " ", 
      FractionBox[
       RowBox[{"T", " ", "fN"}], "Db"], " ", "+", " ", 
      FractionBox[
       RowBox[{
        SuperscriptBox["T", "2"], " ", "gN"}], "Db"]}]}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     SubscriptBox[
      RowBox[{"(", 
       RowBox[{"T", " ", 
        RowBox[{
         RowBox[{"yw", "'''"}], "[", "T", "]"}]}], ")"}], 
      RowBox[{",", "T"}]], " ", "-", " ", 
     RowBox[{
      RowBox[{"yw", "''"}], "[", "T", "]"}], " ", "-", " ", 
     RowBox[{"T", " ", 
      RowBox[{"nonHomyw", "[", "T", "]"}]}], " ", "+", " ", 
     RowBox[{"T", " ", "coefyw", " ", 
      RowBox[{"yw", "[", "T", "]"}]}]}], " ", " ", "=", " ", 
    RowBox[{
     FractionBox[
      RowBox[{"T", " ", "fN"}], "Db"], " ", "+", " ", 
     FractionBox[
      RowBox[{
       SuperscriptBox["T", "2"], " ", "gN"}], "Db"]}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
     "on", " ", "integrating", " ", "the", " ", "above", " ", "equation", " ",
       "along", " ", "T", " ", "from"}], " ", "-", 
     RowBox[{
      RowBox[{"a", "/", "2"}], " ", "to", " ", 
      RowBox[{"a", "/", "2"}], " ", "and", " ", "using", " ", "the", " ", 
      "first", " ", "natural", " ", "and", " ", "second", " ", "boundary", 
      " ", "conditions", " ", "and", " ", 
      RowBox[{
       SuperscriptBox[
        SubscriptBox["\[Integral]", 
         RowBox[{
          RowBox[{"-", "a"}], "/", "2"}]], 
        RowBox[{"a", "/", "2"}]], " ", 
       RowBox[{"T", " ", "yw", " ", "dT"}]}]}]}], " ", "=", " ", "0"}], ",", 
   " ", 
   RowBox[{
    RowBox[{"we", " ", "get", " ", "gN", " ", "\[IndentingNewLine]", "gN"}], 
    " ", "=", " ", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       SubscriptBox[
        RowBox[{
         FractionBox[
          RowBox[{"12", " ", "Db"}], 
          SuperscriptBox["a", "3"]], " ", "[", 
         RowBox[{
          RowBox[{"T", " ", 
           RowBox[{"D3ywBc", "[", "T", "]"}]}], " ", "-", " ", 
          RowBox[{"D2ywBc", "[", "T", "]"}], " ", "-", " ", 
          RowBox[{"iTnonHomyw", "[", "T", "]"}]}], "]"}], 
        RowBox[{
         RowBox[{"-", "a"}], "/", "2"}]], 
       RowBox[{"a", "/", "2"}]], " ", "where", "  ", 
      RowBox[{"iTnonHomyw", "[", "T", "]"}]}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox[
       SubscriptBox["\[Integral]", "0"], "T"], " ", 
      RowBox[{"m", " ", 
       RowBox[{"nonHomyw", "[", "m", "]"}], " ", "dm"}]}]}]}]}], 
  "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.8770832512980013`*^9, 3.877083258242156*^9}, {
   3.877083644876461*^9, 3.8770836735219717`*^9}, {3.877085437627351*^9, 
   3.877085453979806*^9}, {3.877085580733629*^9, 3.877085675922286*^9}, {
   3.877085710125102*^9, 3.877085853811496*^9}, {3.877085925894361*^9, 
   3.877085968998953*^9}, {3.877086098699175*^9, 3.877086272203559*^9}, {
   3.877086306402602*^9, 3.8770863657026567`*^9}, {3.877086514753149*^9, 
   3.8770866800938797`*^9}, {3.877086747648378*^9, 3.8770868146774893`*^9}, {
   3.877086858044056*^9, 3.877086872467382*^9}, {3.87708696448761*^9, 
   3.877086973860702*^9}, {3.877087080053789*^9, 3.877087080689988*^9}, {
   3.877087116417864*^9, 3.877087284882596*^9}, {3.877087327523135*^9, 
   3.877087458990073*^9}, {3.877087737120924*^9, 3.8770879730724573`*^9}, {
   3.877088003441382*^9, 3.8770883601528*^9}, {3.8770884083492126`*^9, 
   3.877088427246805*^9}, {3.877089819355278*^9, 3.877089844373837*^9}, {
   3.8770899517052794`*^9, 3.87708997878941*^9}, {3.8770900210095863`*^9, 
   3.8770900328150253`*^9}, 3.8770906151099577`*^9, 3.877236801468814*^9, {
   3.8773184730153503`*^9, 3.877318550408924*^9}, 3.877340891187858*^9, {
   3.877351377722184*^9, 3.87735138580548*^9}, {3.8773524679430237`*^9, 
   3.877352469958392*^9}, {3.87735599755221*^9, 3.877356001609378*^9}, 
   3.87736123869627*^9, 3.877370356972228*^9, {3.877371027851516*^9, 
   3.8773710542141*^9}, 3.877411286560328*^9, {3.877420988114293*^9, 
   3.8774210674756308`*^9}, {3.8776143073531103`*^9, 3.877614312336473*^9}, 
   3.877614385750164*^9, 3.878635537869028*^9, {3.883985398792115*^9, 
   3.883985400145466*^9}, 3.8839894306032133`*^9},
 CellLabel->"In[37]:=",ExpressionUUID->"80fff1e5-44a5-4c98-a417-8d3bedfa8feb"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "collect", " ", "coefficient", " ", "of", " ", "\[Delta]yw", " ", "in", 
    " ", "the", " ", "variational", " ", "form"}], "  ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"gw0", "=", " ", 
    RowBox[{"Simplify", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{"eqyw", ",", 
       RowBox[{"\[Delta]yw", "[", "T", "]"}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"collect", " ", "coefficient", " ", "of", " ", 
     SubscriptBox["\[Delta]yw", 
      RowBox[{",", "T"}]], " ", "in", " ", "the", " ", "variational", " ", 
     "form"}], "  ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"gw1", "=", " ", 
    RowBox[{"Simplify", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{"eqyw", ",", 
       RowBox[{
        RowBox[{"\[Delta]yw", "'"}], "[", "T", "]"}]}], "]"}], "]"}]}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"gw1", " ", "==", " ", "0"}], " ", "*)"}], "\[IndentingNewLine]", 
   
   RowBox[{"(*", " ", 
    RowBox[{"collect", " ", "coefficient", " ", "of", " ", 
     SubscriptBox["\[Delta]yw", 
      RowBox[{",", "TT"}]], " ", "in", " ", "the", " ", "variational", " ", 
     "form"}], "  ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"gw2", "=", " ", 
    RowBox[{"Simplify", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{"eqyw", ",", 
       RowBox[{
        RowBox[{"\[Delta]yw", "''"}], "[", "T", "]"}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"If", "[", 
    RowBox[{"doSanityCheck", ",", 
     RowBox[{"CheckSanity", "[", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"gw0", " ", 
          RowBox[{"\[Delta]yw", "[", "T", "]"}]}], " ", "+", " ", 
         RowBox[{"gw2", " ", 
          RowBox[{
           RowBox[{"\[Delta]yw", "''"}], "[", "T", "]"}]}], "-", "eqyw"}], 
        "]"}], "==", "0"}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8770832512980013`*^9, 3.877083258242156*^9}, {
   3.877083644876461*^9, 3.8770836735219717`*^9}, 3.877085437627351*^9, {
   3.877085527687989*^9, 3.8770855391938057`*^9}, {3.877090064011057*^9, 
   3.877090072137437*^9}, {3.877349951077298*^9, 3.877350019823617*^9}, {
   3.877350081198*^9, 3.8773500856432133`*^9}, {3.8773503732271633`*^9, 
   3.877350380154942*^9}, {3.877351385974361*^9, 3.877351388953742*^9}, {
   3.877351668463648*^9, 3.8773516709736137`*^9}, {3.877352670844152*^9, 
   3.877352673204715*^9}, {3.877353461594779*^9, 3.8773534660159082`*^9}, {
   3.877353552839402*^9, 3.87735364024686*^9}, {3.877353723429171*^9, 
   3.877353735395207*^9}, {3.877440980554018*^9, 3.877441005304441*^9}, {
   3.8775011314495687`*^9, 3.8775011331374598`*^9}, {3.87750122879355*^9, 
   3.8775012575131693`*^9}, {3.8775013581185226`*^9, 
   3.8775014018187532`*^9}, {3.877529735655631*^9, 3.8775297375205307`*^9}, {
   3.877530563588928*^9, 3.8775305770132513`*^9}, {3.8775308684255533`*^9, 
   3.877530981084086*^9}, {3.877531087651002*^9, 3.877531093031358*^9}, {
   3.877531417012051*^9, 3.877531417606435*^9}, {3.877596143790738*^9, 
   3.877596158394433*^9}, {3.877614207001598*^9, 3.8776142094099493`*^9}, 
   3.8776143814503*^9, {3.8776144523054123`*^9, 3.877614501727357*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"977acfca-08a0-40a2-bbb6-0b255ac86712"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "differential", " ", "equation", " ", "for", " ", "yw"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"diffEqnyw", "=", 
   RowBox[{"Collect", "[", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{"gw2", ",", 
         RowBox[{"{", 
          RowBox[{"T", ",", "2"}], "}"}]}], "]"}], "+", "gw0"}], ")"}], " ", 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"yw", "[", "T", "]"}], ",", 
       RowBox[{
        RowBox[{"yw", "'"}], "[", "T", "]"}], ",", 
       RowBox[{
        RowBox[{"yw", "''"}], "[", "T", "]"}], ",", 
       RowBox[{
        RowBox[{"yw", "'''"}], "[", "T", "]"}], ",", 
       RowBox[{
        RowBox[{"yw", "''''"}], "[", "T", "]"}], ",", " ", "fN", ",", 
       RowBox[{"gN", " ", "T"}], ",", " ", "T"}], "}"}], ",", 
     "FullSimplify"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8770891285299253`*^9, 3.877089141957427*^9}, {
   3.877089179799315*^9, 3.877089205343918*^9}, {3.877141643090095*^9, 
   3.877141645977737*^9}, {3.877152813483418*^9, 3.87715282981149*^9}, 
   3.877238048647299*^9, {3.8773500640756474`*^9, 3.877350065121711*^9}, {
   3.877350713779077*^9, 3.8773507361115837`*^9}, {3.877350831546846*^9, 
   3.877350902934848*^9}, {3.8773513895846357`*^9, 3.877351389720935*^9}, {
   3.877353368997644*^9, 3.8773533930481777`*^9}, {3.8773538100354033`*^9, 
   3.877353818408293*^9}, {3.877354232999579*^9, 3.8773542448408546`*^9}, {
   3.877531019302506*^9, 3.877531070547349*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"a96f9314-4402-428b-b59e-ba09d15fab0f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"natural", " ", "boundary", " ", 
     RowBox[{"condition", ":", " ", 
      RowBox[{
       RowBox[{"yw", "''"}], "[", 
       RowBox[{
        RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}]}], " ", "=", " ", 
    RowBox[{"D2ywBc", "[", 
     RowBox[{
      RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"D2ywBc", "[", "T_", "]"}], " ", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", " ", 
          RowBox[{"gw2", "/", "Db"}], ")"}]}], " ", "+", 
        RowBox[{
         RowBox[{"yw", "''"}], "[", "T", "]"}]}], "/.", 
       "replace\[ScriptCapitalS]VecExp"}], "/.", 
      RowBox[{"{", 
       RowBox[{"Db", "->", " ", "DbExp"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"natural", " ", "boundary", " ", 
      RowBox[{"condition", ":", " ", 
       RowBox[{
        RowBox[{"yw", "'''"}], "[", 
        RowBox[{
         RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}]}], " ", "=", " ", 
     
     RowBox[{"D3ywBc", "[", 
      RowBox[{
       RowBox[{"\[PlusMinus]", "a"}], "/", "2"}], "]"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"D3ywBc", "[", "T_", "]"}], " ", "=", 
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{"Simplify", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Simplify", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"D", "[", 
               RowBox[{"gw2", ",", "T"}], "]"}]}], "/", "Db"}], ")"}], " ", 
           "+", 
           RowBox[{
            RowBox[{"yw", "'''"}], "[", "T", "]"}]}], "]"}], "/.", " ", 
         "replace\[ScriptCapitalS]VecExp"}], "/.", 
        RowBox[{"{", 
         RowBox[{"Db", "->", " ", "DbExp"}], "}"}]}], "]"}], ",", 
      "d\[Kappa]3", ",", "Simplify"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.877089562591235*^9, 3.877089569126189*^9}, {
   3.8770896870607853`*^9, 3.877089695061591*^9}, {3.87708973849051*^9, 
   3.877089746221363*^9}, {3.877090099471476*^9, 3.877090120472905*^9}, {
   3.877090241011812*^9, 3.877090282226797*^9}, {3.877090396797496*^9, 
   3.877090400993243*^9}, {3.877090481341448*^9, 3.877090500834477*^9}, 
   3.877142108123414*^9, {3.8771425768765*^9, 3.877142577870945*^9}, {
   3.877142674824102*^9, 3.8771426764694967`*^9}, {3.877143793849131*^9, 
   3.877143809649416*^9}, 3.877241121997622*^9, {3.877242050798092*^9, 
   3.877242058127234*^9}, {3.8773504220031548`*^9, 3.877350429564356*^9}, {
   3.877351389880615*^9, 3.877351390030451*^9}, {3.8773532646535587`*^9, 
   3.8773533235090303`*^9}, {3.877354280049211*^9, 3.877354335908332*^9}, {
   3.877357274122243*^9, 3.877357287671102*^9}, {3.877357333495728*^9, 
   3.8773573353002768`*^9}, {3.877614529523911*^9, 3.877614548935308*^9}, {
   3.8776146508238173`*^9, 3.87761466352069*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"16101f47-4779-4df9-8c43-ff07b647826d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"diffEqnyw", " ", "=", " ", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"diffEqnyw", " ", "/", "DbExp"}], ")"}], "/.", 
       "replace\[ScriptCapitalS]VecExp"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"yu", "'"}], "[", "T", "]"}], "->", " ", "yuDT"}], "}"}]}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Derivative", "[", "_", "]"}], 
        RowBox[{"yw", "[", "T", "]"}]}], ",", "fN", ",", " ", "gN"}], "}"}], 
     ",", "Simplify"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8770905772393637`*^9, 3.877090590490191*^9}, {
   3.877090650464807*^9, 3.877090708082748*^9}, {3.877090811568214*^9, 
   3.877090837731523*^9}, {3.8770909495826807`*^9, 3.877090961256481*^9}, 
   3.8770911229469337`*^9, {3.877091739338058*^9, 3.877091769033226*^9}, 
   3.877227912430646*^9, {3.877238313086899*^9, 3.877238313584899*^9}, {
   3.877354465395734*^9, 3.8773546072302437`*^9}, 3.877362420355928*^9},
 CellLabel->"In[45]:=",ExpressionUUID->"9d6c4974-13cd-44b7-8189-1ef3dde2dd42"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
     "We", " ", "want", " ", "the", " ", "differential", " ", "equation", " ",
       "diffEqnyw", " ", "in", " ", "this", " ", "form", " ", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"yw", "''''"}], "[", "T", "]"}]}], " ", "+", " ", 
     RowBox[{"coefyw", " ", 
      RowBox[{"yw", "[", "T", "]"}]}]}], " ", "  ", "=", " ", 
    RowBox[{
     RowBox[{"nonHomyw", "[", "T", "]"}], " ", "+", " ", 
     FractionBox["fN", "Db"], " ", "+", " ", 
     FractionBox[
      RowBox[{"T", " ", "gN"}], "Db"]}]}], ";"}], "*)"}]], "Input",
 CellChangeTimes->{{3.8770905772393637`*^9, 3.877090590490191*^9}, {
   3.877090650464807*^9, 3.877090708082748*^9}, {3.877090811568214*^9, 
   3.877090837731523*^9}, {3.8770909495826807`*^9, 3.877090961256481*^9}, 
   3.8770911229469337`*^9, {3.877091739338058*^9, 3.877091769033226*^9}, 
   3.877227912430646*^9, {3.877238313086899*^9, 3.877238313584899*^9}, {
   3.877242224693309*^9, 3.877242236244573*^9}, {3.8773513901956453`*^9, 
   3.877351390477459*^9}, 3.87735333515578*^9, {3.877356123076838*^9, 
   3.8773561287906303`*^9}, 3.877370363311286*^9},
 CellLabel->"In[46]:=",ExpressionUUID->"86cfe238-3da7-4ba7-81d4-5082983444ec"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "coefficient", " ", "of", " ", "yw", " ", "in", " ", "the", " ", 
    "differential", " ", "equation"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"coefYw", "=", 
     RowBox[{"Coefficient", "[", 
      RowBox[{"diffEqnyw", ",", 
       RowBox[{"yw", "[", "T", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"we", " ", "calculate", " ", "the", " ", "non"}], "-", 
     RowBox[{"homogeneous", " ", "part", " ", 
      RowBox[{"nonHomyw", "[", "T", "]"}], " ", "as"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"nonHomyw", "[", "T_", "]"}], " ", "=", " ", 
     RowBox[{"-", 
      RowBox[{"Simplify", "[", 
       RowBox[{"diffEqnyw", " ", "-", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"yw", "''''"}], "[", "T", "]"}], " ", "+", " ", 
          RowBox[{"coefYw", " ", 
           RowBox[{"yw", "[", "T", "]"}]}], " ", "-", 
          RowBox[{"(", 
           RowBox[{
            FractionBox["fN", "DbExp"], "+", 
            FractionBox[
             RowBox[{"gN", " ", "T"}], "DbExp"]}], ")"}]}], ")"}]}], 
       "]"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.877091781125448*^9, 3.877091888426427*^9}, {
   3.877091933290057*^9, 3.877091964231841*^9}, {3.877092112690422*^9, 
   3.877092188145534*^9}, {3.87709374351624*^9, 3.877093744038048*^9}, 
   3.877094808457583*^9, {3.877101488024021*^9, 3.87710152009871*^9}, {
   3.8771083912698717`*^9, 3.877108394148438*^9}, {3.877142109998295*^9, 
   3.877142111468959*^9}, 3.877142262530881*^9, {3.877142579571145*^9, 
   3.877142587412951*^9}, {3.877142680911479*^9, 3.877142681878044*^9}, {
   3.877143826204718*^9, 3.877143849257901*^9}, 3.877227919453987*^9, {
   3.877242638470957*^9, 3.8772426566258993`*^9}, {3.87735139061189*^9, 
   3.877351390930299*^9}, {3.877354610478128*^9, 3.877354613470067*^9}, {
   3.8773546700159082`*^9, 3.877354714513934*^9}, {3.87735614290128*^9, 
   3.877356195956512*^9}, 3.877362413671536*^9, 3.877370373547833*^9, {
   3.877440089986424*^9, 3.877440091420277*^9}, {3.877614769001348*^9, 
   3.8776147832341843`*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"ba09ec37-6b5d-4efb-aefc-a725093241fc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"calculated", " ", "fN", " ", "and", " ", "gN"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"fNExp", " ", "=", " ", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{"(", 
       FractionBox["DbExp", "a"], ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"D3ywBc", "[", 
         FractionBox["a", "2"], "]"}], "-", 
        RowBox[{"D3ywBc", "[", 
         RowBox[{"-", 
          FractionBox["a", "2"]}], "]"}], "-", 
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{"nonHomyw", "[", "T", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"T", ",", 
            RowBox[{"-", 
             FractionBox["a", "2"]}], ",", 
            FractionBox["a", "2"]}], "}"}]}], "]"}]}], ")"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"gNExp", " ", "=", " ", 
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"12", " ", "Db"}], 
         SuperscriptBox["a", "3"]], 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"a", " ", 
            RowBox[{"D3ywBc", "[", 
             RowBox[{"a", "/", "2"}], "]"}]}], "2"], "+", " ", 
          FractionBox[
           RowBox[{"a", " ", 
            RowBox[{"D3ywBc", "[", 
             RowBox[{
              RowBox[{"-", "a"}], "/", "2"}], "]"}]}], "2"], "-", 
          RowBox[{"D2ywBc", "[", 
           FractionBox["a", "2"], "]"}], "+", 
          RowBox[{"D2ywBc", "[", 
           RowBox[{"-", 
            FractionBox["a", "2"]}], "]"}], " ", "-", " ", 
          RowBox[{"Integrate", "[", " ", 
           RowBox[{
            RowBox[{"T", " ", 
             RowBox[{"nonHomyw", "[", "T", "]"}]}], ",", " ", 
            RowBox[{"{", 
             RowBox[{"T", ",", 
              RowBox[{"-", 
               FractionBox["a", "2"]}], ",", 
              FractionBox["a", "2"]}], "}"}]}], "]"}]}], ")"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"Db", "->", " ", "DbExp"}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"d\[Kappa]3", ",", " ", "d\[Epsilon]"}], "}"}], ",", 
      "Simplify"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQA2IQfW+F+qJvj944Ll1/fjGI3nzfbzWIvr+0aROIPq9X
tB9EL87YfghEBy3ddAFES5hqXALRHr5xz0B0n+rptyC6LuTK/+9Aus3yOOsP
IK10bh0niH4T5SwCootmyEiC6BkPouRA9DbNiRYgeo6PizWYX3Kwk//xG8eI
RvYuEH3m6MEzIJpb/SmYbl8qISoEpL/8nygGopNseM44AOln/OFguuRRvKIj
kBbI9NQG0+uf/y4F0ouucP0B0XGhpRfLgXSKt9NtEF1UXxJdAaRLF2wH0+sd
9zLNANI7LN6Caa/Gx9YLgfSUkgQ7EC0UaOACol8sDvIA0TX9wvKngDTTXk0F
EK3wk3PmNyBtqyENpgHqTc0J
  "],
 CellLabel->"In[49]:=",ExpressionUUID->"39e09131-9f13-44c7-a8b3-af42115f5508"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "differential", " ", "equation", " ", "after", " ", "setting", " ", "fN", 
    " ", "and", " ", "gN", " ", "values"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"diffEqnyw", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{"diffEqnyw", " ", "/.", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fN", "->", " ", "fNExp"}], ",", " ", 
        RowBox[{"gN", "->", " ", "gNExp"}]}], "}"}]}], ",", " ", 
     RowBox[{
      RowBox[{"Derivative", "[", "_", "]"}], 
      RowBox[{"yw", "[", "T", "]"}]}], ",", "Simplify"}], "]"}]}]}]], "Input",\

 CellChangeTimes->{{3.877150489973415*^9, 3.87715053501407*^9}, {
   3.877151018461117*^9, 3.8771512155249987`*^9}, 3.877151293760796*^9, {
   3.877246854366061*^9, 3.877246854657576*^9}, {3.877249165415873*^9, 
   3.877249238066722*^9}, {3.877249280060753*^9, 3.877249310128995*^9}, {
   3.877249341121801*^9, 3.877249378967064*^9}, {3.877249779902264*^9, 
   3.8772498866566553`*^9}, {3.877351402022945*^9, 3.8773514046011467`*^9}, {
   3.877356404416812*^9, 3.8773564433963833`*^9}, {3.877356538944353*^9, 
   3.877356568240141*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"54ef0ba8-76f6-471d-afa1-78a774108640"]
}, Open  ]],

Cell[CellGroupData[{

Cell[" Solution given in the paper ", "Subsection",
 CellChangeTimes->{{3.877150489973415*^9, 3.87715053501407*^9}, {
   3.877151018461117*^9, 3.8771512155249987`*^9}, 3.877151293760796*^9, {
   3.877246854366061*^9, 3.877246854657576*^9}, {3.877249165415873*^9, 
   3.877249238066722*^9}, {3.877249280060753*^9, 3.877249310128995*^9}, {
   3.877249341121801*^9, 3.877249378967064*^9}, {3.877249779902264*^9, 
   3.8772498866566553`*^9}, {3.877351402022945*^9, 3.8773514046011467`*^9}, 
   3.877356404416812*^9, {3.877356638430365*^9, 3.8773566943327723`*^9}, {
   3.877415593157041*^9, 3.877415623578961*^9}, {3.877416884913102*^9, 
   3.877416903514434*^9}, 3.877504351149922*^9, {3.8775078801861258`*^9, 
   3.877507892233788*^9}, {3.877507950243657*^9, 3.87750795202227*^9}, 
   3.877507986210196*^9, {3.877509158401971*^9, 3.8775091610543747`*^9}, {
   3.877522115126286*^9, 3.8775221319729*^9}, {3.87752225846561*^9, 
   3.8775222638184*^9}, {3.877615028932426*^9, 
   3.877615062231591*^9}},ExpressionUUID->"403579ea-1b67-4cc9-878d-\
48f734f2ff1d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"solution", " ", "we", " ", "propose"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "nondimensional", " ", "function", " ", "for", " ", "leading", " ", 
    "order", " ", "displacment", " ", "solution"}], " ", "*)"}], " ", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Rho]", "[", 
      RowBox[{"\[Mu]_", ",", "T_"}], "]"}], "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Lambda]", " ", "=", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox["\[Mu]", "4"], ")"}], 
           FractionBox["1", "4"]]}], ",", " ", "p1", ",", " ", "p2"}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"p1", "=", " ", 
         RowBox[{
          RowBox[{"Cos", "[", 
           FractionBox["\[Lambda]", "2"], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           FractionBox["\[Lambda]", "2"], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"p2", "=", " ", 
         RowBox[{
          RowBox[{"Sin", "[", 
           FractionBox["\[Lambda]", "2"], "]"}], " ", 
          RowBox[{"Cosh", "[", 
           FractionBox["\[Lambda]", "2"], "]"}]}]}], ";", 
        "\[IndentingNewLine]", " ", 
        RowBox[{
         FractionBox["1", "\[Mu]"], 
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"\[Lambda]", " ", "T"}], "]"}], " ", 
              RowBox[{"Cosh", "[", 
               RowBox[{"\[Lambda]", " ", "T"}], "]"}], 
              RowBox[{"(", 
               RowBox[{"p1", "-", "p2"}], ")"}]}], " ", "+", " ", 
             RowBox[{
              RowBox[{"Sin", "[", 
               RowBox[{"\[Lambda]", " ", "T"}], "]"}], " ", 
              RowBox[{"Sinh", "[", 
               RowBox[{"\[Lambda]", " ", "T"}], "]"}], 
              RowBox[{"(", 
               RowBox[{"p1", "+", "p2"}], ")"}], " "}]}], 
            RowBox[{
             SuperscriptBox["\[Lambda]", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Lambda]", "]"}], " ", "+", " ", 
               RowBox[{"Sinh", "[", "\[Lambda]", "]"}]}], ")"}]}]], " ", "-", 
           " ", 
           RowBox[{
            FractionBox["1", "2"], 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["T", "2"], " ", "-", " ", 
              FractionBox["1", "12"]}], ")"}]}]}], ")"}]}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"YwExp", "[", "T_", "]"}], " ", "=", " ", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Alpha]", ",", " ", "\[Beta]", ",", " ", "\[Mu]"}], "}"}], 
       ",", " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", "=", " ", 
         RowBox[{"c", "-", " ", 
          RowBox[{"\[Nu]", " ", "\[Kappa]2"}]}]}], " ", ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Beta]", " ", "=", " ", 
         FractionBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[Kappa]2", "2"], " ", 
             RowBox[{"(", " ", 
              RowBox[{"c", "-", " ", 
               RowBox[{"\[Nu]", " ", "\[Kappa]2"}]}], ")"}]}], " ", "-", " ", 
            
            RowBox[{"\[Kappa]2", "  ", 
             SuperscriptBox["\[Kappa]3", "2"]}]}], ")"}], 
          SuperscriptBox["ks", "2"]]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Mu]", "=", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["\[Kappa]2", "ks"], ")"}], "2"]}], ";", 
        "\[IndentingNewLine]", " ", 
        RowBox[{
         SuperscriptBox["a", "2"], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            FractionBox["\[Alpha]", "2"], 
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               SuperscriptBox["T", "2"], 
               SuperscriptBox["a", "2"]], "-", 
              FractionBox["1", "12"]}], ")"}]}], " ", "+", " ", 
           RowBox[{"\[Beta]", " ", 
            RowBox[{"\[Rho]", "[", 
             RowBox[{"\[Mu]", ",", 
              FractionBox["T", "a"]}], "]"}]}]}], ")"}]}]}]}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.877150489973415*^9, 3.87715053501407*^9}, {
   3.877151018461117*^9, 3.8771512155249987`*^9}, 3.877151293760796*^9, {
   3.877246854366061*^9, 3.877246854657576*^9}, {3.877249165415873*^9, 
   3.877249238066722*^9}, {3.877249280060753*^9, 3.877249310128995*^9}, {
   3.877249341121801*^9, 3.877249378967064*^9}, {3.877249779902264*^9, 
   3.8772498866566553`*^9}, {3.877351402022945*^9, 3.8773514046011467`*^9}, 
   3.877356404416812*^9, {3.877356638430365*^9, 3.8773566943327723`*^9}, {
   3.877415593157041*^9, 3.877415623578961*^9}, {3.877416884913102*^9, 
   3.877416903514434*^9}, 3.877504351149922*^9, {3.8775078801861258`*^9, 
   3.877507892233788*^9}, {3.877507950243657*^9, 3.87750795202227*^9}, 
   3.877507986210196*^9, {3.877509158401971*^9, 3.8775091610543747`*^9}, {
   3.877522115126286*^9, 3.8775221319729*^9}, {3.87752225846561*^9, 
   3.8775222638184*^9}, 3.877615028932426*^9},
 CellLabel->"In[52]:=",ExpressionUUID->"b3c90b61-4ffa-4e8a-b131-55f202b69242"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"sanity", " ", "checks"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{"doSanityCheck", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"satisfies", " ", "differential", " ", 
       RowBox[{"equation", "?"}]}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"CheckSanity", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{"diffEqnyw", " ", "/.", " ", 
           RowBox[{"{", 
            RowBox[{"yw", " ", "->", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"YwExp", "[", "#", "]"}], "&"}], ")"}]}], "}"}]}], "/.", 
          RowBox[{"{", 
           RowBox[{"ks", "->", " ", "ksExp"}], "}"}]}], "]"}], "==", "0"}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"satisfies", " ", "boundary", " ", 
        RowBox[{"conditions", "?"}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"YwExp", "''"}], "[", 
           RowBox[{"a", "/", "2"}], "]"}], "-", 
          RowBox[{"D2ywBc", "[", 
           RowBox[{"a", "/", "2"}], "]"}]}], " ", "]"}], "==", "0"}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"YwExp", "''"}], "[", 
           RowBox[{
            RowBox[{"-", "a"}], "/", "2"}], "]"}], "-", 
          RowBox[{"D2ywBc", "[", 
           RowBox[{
            RowBox[{"-", "a"}], "/", "2"}], "]"}]}], "]"}], " ", "==", "0"}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"YwExp", "'''"}], "[", 
           RowBox[{"a", "/", "2"}], "]"}], "-", 
          RowBox[{"D3ywBc", "[", " ", 
           RowBox[{"a", "/", "2"}], "]"}]}], "]"}], "==", "0"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"YwExp", "'''"}], "[", 
           RowBox[{
            RowBox[{"-", "a"}], "/", "2"}], "]"}], "-", 
          RowBox[{"D3ywBc", "[", " ", 
           RowBox[{
            RowBox[{"-", "a"}], "/", "2"}], "]"}]}], "]"}], "==", "0"}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"check", "  ", 
         RowBox[{
          SuperscriptBox[
           SubscriptBox["\[Integral]", 
            RowBox[{
             RowBox[{"-", "a"}], "/", "2"}]], 
           RowBox[{"a", "/", "2"}]], " ", 
          RowBox[{
           RowBox[{"yw", "[", "T", "]"}], " ", "dT"}]}]}], " ", "=", " ", 
        RowBox[{"0", "?"}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{"Integrate", "[", 
          RowBox[{
           RowBox[{"YwExp", "[", "T", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"T", ",", 
             RowBox[{
              RowBox[{"-", "a"}], "/", "2"}], ",", 
             RowBox[{"a", "/", "2"}]}], "}"}]}], "]"}], "]"}], "==", "0"}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"check", "  ", 
         RowBox[{
          SuperscriptBox[
           SubscriptBox["\[Integral]", 
            RowBox[{
             RowBox[{"-", "a"}], "/", "2"}]], 
           RowBox[{"a", "/", "2"}]], " ", 
          RowBox[{"T", " ", 
           RowBox[{"yw", "[", "T", "]"}], " ", "dT"}]}]}], " ", "=", " ", 
        RowBox[{"0", "?"}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{"Integrate", "[", 
          RowBox[{
           RowBox[{"T", " ", 
            RowBox[{"YwExp", "[", "T", "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"T", ",", 
             RowBox[{
              RowBox[{"-", "a"}], "/", "2"}], ",", 
             RowBox[{"a", "/", "2"}]}], "}"}]}], "]"}], "]"}], "==", "0"}], 
       "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "differential", " ", "equation", " ", "and", " ", "boundary", " ", 
        "conditions", " ", "for", " ", "\[Rho]", " ", "given", " ", "in", " ",
         "the", " ", "paper"}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", 
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"\[Rho]", "[", 
             RowBox[{"\[Mu]", ",", "T"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"T", ",", "4"}], "}"}]}], "]"}], "+", " ", 
          RowBox[{"\[Mu]", " ", 
           RowBox[{"\[Rho]", "[", 
            RowBox[{"\[Mu]", ",", "T"}], "]"}]}], " ", "+", " ", 
          RowBox[{
           FractionBox["1", "2"], 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["T", "2"], "-", 
             FractionBox["1", "12"]}], ")"}]}]}], "==", "0"}], "]"}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"satisfies", " ", "boundary", " ", 
        RowBox[{"conditions", "?"}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", " ", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"\[Rho]", "[", 
             RowBox[{"\[Mu]", ",", "T"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"T", ",", "2"}], "}"}]}], "]"}], "/.", 
          RowBox[{"{", 
           RowBox[{"T", "->", " ", 
            RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], "==", "0"}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"\[Rho]", "[", 
             RowBox[{"\[Mu]", ",", "T"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"T", ",", "2"}], "}"}]}], "]"}], "/.", 
          RowBox[{"{", 
           RowBox[{"T", "->", 
            RowBox[{
             RowBox[{"-", " ", "1"}], "/", "2"}]}], "}"}]}], "]"}], "==", 
        "0"}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"\[Rho]", "[", 
             RowBox[{"\[Mu]", ",", "T"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"T", ",", "3"}], "}"}]}], "]"}], "/.", 
          RowBox[{"{", 
           RowBox[{"T", "->", " ", 
            RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], "==", "0"}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"CheckSanity", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"\[Rho]", "[", 
             RowBox[{"\[Mu]", ",", "T"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"T", ",", "3"}], "}"}]}], "]"}], "/.", 
          RowBox[{"{", 
           RowBox[{"T", "->", " ", 
            RowBox[{
             RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "]"}], "==", "0"}], 
       "]"}], ";"}]}], "]"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.877356699997991*^9, 3.8773568857493973`*^9}, {
   3.877357616311932*^9, 3.8773576174932423`*^9}, {3.877411237870326*^9, 
   3.877411238284503*^9}, {3.877499942222361*^9, 3.877499949230423*^9}, {
   3.877501010155497*^9, 3.87750101381855*^9}, {3.877501114807478*^9, 
   3.8775011192284927`*^9}, 3.877501777215406*^9, {3.877596172757635*^9, 
   3.8775961928300467`*^9}, {3.877596268898365*^9, 3.877596312747883*^9}, {
   3.877596351823682*^9, 3.877596368842519*^9}, 3.87759644648254*^9, 
   3.877596492055274*^9, {3.877614851602695*^9, 3.8776149166200867`*^9}, 
   3.883985437581209*^9},
 CellLabel->"In[54]:=",ExpressionUUID->"19bd60fd-db57-4c4a-847b-12de54266be8"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Strain energy", "Section",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQrXZse37l4zeOamr8BSBaJthQtQpIq2/S0wHR1zev
MQXRDs+lbEG0TzybaTWQ1uN3sALRfXqH2kH0lOLvXSD6xHKWA3VA+ten8kMg
egdH+5GpQFrbmO0CiD4rXHETRPuoiN0G0R2Rc/lmAOkEr9NgmiOtfvJuIP3h
4XowHZG498pekD3zi66CaBbDtV37gPQtg5BuED15R/a6A0C6+ccDML3Ms+oc
iA4+0HQeRHssusByEEjv5WNgBdFGX73TDwHpLIfgfBAt5JVUB6I1N20A0x+c
XNvfgvyxamEHiDZ94LH+G5CedyV1I4i+NOvvbhD9rHrrfhANADJBvDw=
  
  "],ExpressionUUID->"362d547f-d14e-4395-ba60-6efa73db964c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "leading", " ", "order", " ", "energy", " ", "expression", " ", "given", 
    " ", "in", " ", "the", " ", "paper", " ", "in", " ", "section", " ", "4", 
    
    RowBox[{"(", "c", ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[CurlyPhi]", "[", "\[Mu]_", "]"}], "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Lambda]", " ", "=", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["\[Mu]", "4"], ")"}], 
          FractionBox["1", "4"]]}], "}"}], ",", " ", 
       RowBox[{"(", " ", 
        RowBox[{
         FractionBox["4", "\[Mu]"], 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "-", 
           FractionBox[
            RowBox[{" ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cosh", "[", "\[Lambda]", "]"}], "-", 
               RowBox[{"Cos", "[", "\[Lambda]", "]"}]}], ")"}]}], 
            RowBox[{"\[Lambda]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Lambda]", "]"}], "+", 
               RowBox[{"Sinh", "[", "\[Lambda]", "]"}]}], ")"}]}]]}], ")"}]}],
         " ", ")"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"leadOrdEnr", " ", "=", " ", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], "Y", " ", "a", " ", "t", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Epsilon]", " ", "+", " ", 
          FractionBox[
           RowBox[{
            SuperscriptBox["a", "2"], " ", 
            SuperscriptBox["\[Kappa]3", "2"]}], "24"]}], ")"}], "2"]}], "+", 
      " ", 
      RowBox[{
       FractionBox["1", "2"], 
       FractionBox[
        RowBox[{"Y", " ", 
         SuperscriptBox["a", "3"], " ", "t"}], "12"], 
       SuperscriptBox["\[Kappa]1", "2"]}], " ", "+", " ", 
      RowBox[{
       FractionBox["1", "2"], 
       FractionBox[
        RowBox[{"Y", " ", "a", "  ", 
         SuperscriptBox["t", "3"]}], "12"], 
       SuperscriptBox["\[Kappa]2", "2"]}], " ", "+", 
      RowBox[{
       FractionBox["1", "2"], 
       FractionBox[
        RowBox[{"Y", " ", "a", " ", 
         SuperscriptBox["t", "3"]}], 
        RowBox[{"6", 
         RowBox[{"(", 
          RowBox[{"1", "+", "\[Nu]"}], ")"}]}]], 
       SuperscriptBox["\[Kappa]3", "2"]}], " ", "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox["a", "5"], " ", "t", " ", "Y", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "c"}], " ", "\[Kappa]2"}], "+", 
          SuperscriptBox["\[Kappa]3", "2"], "+", 
          RowBox[{
           SuperscriptBox["\[Kappa]2", "2"], " ", "\[Nu]"}]}], ")"}], "2"], 
       " ", 
       RowBox[{"\[CurlyPhi]", "[", 
        FractionBox[
         SuperscriptBox["\[Kappa]2", "2"], 
         SuperscriptBox["ks", "2"]], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Are", " ", "calculated", " ", "and", " ", "proposed", " ", "energies", 
     " ", 
     RowBox[{"equal", "?"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"If", "[", 
    RowBox[{"doSanityCheck", ",", 
     RowBox[{"CheckSanity", "[", 
      RowBox[{
       RowBox[{"Collect", "[", 
        RowBox[{
         RowBox[{"Simplify", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Integrate", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    FractionBox["1", "2"], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"n0SS", "[", "T", "]"}], 
                    RowBox[{"E0SS", "[", "T", "]"}]}], " ", "+", " ", 
                    RowBox[{
                    RowBox[{"m0SS", "[", "T", "]"}], 
                    RowBox[{"B0SS", "[", "T", "]"}]}], " ", "+", 
                    RowBox[{
                    RowBox[{"m0TT", "[", "T", "]"}], 
                    RowBox[{"B0TT", "[", "T", "]"}]}], "+", 
                    RowBox[{"2", 
                    RowBox[{"m0ST", "[", "T", "]"}], 
                    RowBox[{"B0ST", "[", "T", "]"}]}]}], " ", ")"}]}], "/.", 
                   "replace\[ScriptCapitalS]VecExp"}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"yu", "'"}], "[", "T", "]"}], "->", " ", "yuDT"}],
                    "}"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{"yw", "->", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Yw", "[", "#", "]"}], "&"}], ")"}]}], "}"}]}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"T", ",", 
                  RowBox[{
                   RowBox[{"-", "a"}], "/", "2"}], ",", 
                  RowBox[{"a", "/", "2"}]}], "}"}]}], "]"}], "-", 
              "leadOrdEnr"}], ")"}], "/.", 
            RowBox[{"{", 
             RowBox[{"Yw", "->", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"YwExp", "[", "#", "]"}], "&"}], ")"}]}], "}"}]}], "/.", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Db", "->", " ", "DbExp"}], ",", " ", 
             RowBox[{"ks", "->", " ", "ksExp"}]}], "}"}]}], "]"}], ",", 
         "\[Epsilon]", ",", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Simplify", "[", 
            RowBox[{"#", ",", 
             RowBox[{"Assumptions", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"a", ">", "0"}], ",", 
                RowBox[{"a", ">", "t", ">", "0"}], ",", 
                RowBox[{"0.5", ">", "\[Nu]", ">", "0"}], ",", 
                RowBox[{"\[Kappa]2", " ", "\[Element]", "Reals"}]}], 
               "}"}]}]}], "]"}], "&"}], ")"}]}], "]"}], "==", "0"}], "]"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQA2IQrXZse37l4zeOamr8BSBaJthQtQpIq2/S0wHR1zev
MQXRDs+lbEG0TzybaTWQ1uN3sALRfXqH2kH0lOLvXSD6xHKWA3VA+ten8kMg
egdH+5GpQFrbmO0CiD4rXHETRPuoiN0G0R2Rc/lmAOkEr9NgmiOtfvJuIP3h
4XowHZG498pekD3zi66CaBbDtV37gPQtg5BuED15R/a6A0C6+ccDML3Ms+oc
iA4+0HQeRHssusByEEjv5WNgBdFGX73TDwHpLIfgfBAt5JVUB6I1N20A0x+c
XNvfgvyxamEHiDZ94LH+G5CedyV1I4i+NOvvbhA9qzR5H4hukfoT+x1If/fy
jAPRCzYv5Hn59I3jhtVnwDQA7HvPrw==
  "],
 CellLabel->"In[55]:=",ExpressionUUID->"5e807c82-c566-46cb-a0c7-d6da10c10b43"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "No bending case: ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Kappa]1", " ", "=", " ", "0"}], TraditionalForm]],
  ExpressionUUID->"ed57e868-3711-47e2-8983-e22783174ae2"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Kappa]2", " ", "=", " ", "0"}], TraditionalForm]],
  ExpressionUUID->"c978aaa5-61c4-444e-9f5f-12ce52b987b5"]
}], "Section",
 CellChangeTimes->{{3.877360295568287*^9, 3.877360436717163*^9}, {
   3.877360470388722*^9, 3.877360559720892*^9}, {3.877360653575644*^9, 
   3.87736067882705*^9}, {3.8773613638551807`*^9, 3.877361393886339*^9}, {
   3.877361455567086*^9, 3.877361457563877*^9}, {3.877361497850533*^9, 
   3.8773615025815153`*^9}, {3.877361542996282*^9, 3.877361580295466*^9}, {
   3.877361775341569*^9, 3.8773618222322206`*^9}, 3.877371369972933*^9, {
   3.877371680821137*^9, 3.877371681358985*^9}, {3.877371788315638*^9, 
   3.877371796443582*^9}, {3.877371889386799*^9, 3.877371916093886*^9}, {
   3.877371962704775*^9, 3.877371968430378*^9}, {3.877421105357415*^9, 
   3.877421120385501*^9}, {3.8774211986400137`*^9, 3.8774212054728518`*^9}, 
   3.877440477944263*^9, {3.877497135572159*^9, 3.877497136541543*^9}, {
   3.8775248360094547`*^9, 3.877524836692869*^9}, {3.8775302831478033`*^9, 
   3.8775303177232943`*^9}, {3.87753114145152*^9, 3.8775311613459587`*^9}, {
   3.877596231206037*^9, 3.877596238073036*^9}, {3.877615107549234*^9, 
   3.8776151316669683`*^9}, {3.877616526687294*^9, 3.877616537653028*^9}, {
   3.877617109115675*^9, 3.877617109531131*^9}, {3.8776709117841*^9, 
   3.877670914145937*^9}},ExpressionUUID->"d44c5c2a-32d9-431f-bc3e-\
a3e36f93dc45"],

Cell[CellGroupData[{

Cell["Strain energy and cross-sectional displacements", "Subsection",
 CellChangeTimes->{{3.877616147671391*^9, 
  3.8776161636502037`*^9}},ExpressionUUID->"ec5e17d7-91a6-4572-9708-\
7b7838ac7c6c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"no", " ", "bending", " ", 
     RowBox[{"case", ":", " ", "\[Kappa]1"}]}], " ", "=", " ", 
    RowBox[{"\[Kappa]2", " ", "=", " ", "0"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"leadOrdEnrNoBendingCase", " ", "=", 
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{"Limit", "[", " ", 
       RowBox[{"leadOrdEnr", " ", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Kappa]1", "->", " ", "0"}], ",", " ", 
          RowBox[{"\[Kappa]2", "->", " ", "0"}]}], "}"}]}], "]"}], ",", 
      "\[Kappa]3", ",", "Simplify"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"leadOrdEnrNoBendingCaseInPaper", " ", "=", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], "Y", " ", "a", " ", "t", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Epsilon]", " ", "+", " ", 
          FractionBox[
           RowBox[{
            SuperscriptBox["a", "2"], " ", 
            SuperscriptBox["\[Kappa]3", "2"]}], "24"]}], ")"}], "2"]}], "+", 
      RowBox[{
       FractionBox["1", "2"], 
       FractionBox[
        RowBox[{"Y", " ", "a", " ", 
         SuperscriptBox["t", "3"]}], 
        RowBox[{"6", 
         RowBox[{"(", 
          RowBox[{"1", "+", "\[Nu]"}], ")"}]}]], 
       SuperscriptBox["\[Kappa]3", "2"]}], " ", "+", " ", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox["a", "5"], " ", "t", " ", "Y", " ", 
       SuperscriptBox["\[Kappa]3", "4"], 
       RowBox[{"(", 
        FractionBox["1", "360"], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"If", "[", 
    RowBox[{"doSanityCheck", ",", 
     RowBox[{"CheckSanity", "[", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
        "leadOrdEnrNoBendingCase", "-", "leadOrdEnrNoBendingCaseInPaper"}], 
        "]"}], "==", "0"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"YwExpNoBendingCase", "[", "T_", "]"}], "=", " ", 
    RowBox[{"Limit", "[", " ", 
     RowBox[{
      RowBox[{"YwExp", "[", "T", "]"}], " ", ",", 
      RowBox[{"{", " ", 
       RowBox[{"\[Kappa]2", "->", " ", "0"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"YvExpNoBendingCase", "[", "T_", "]"}], " ", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"\[Kappa]3", " ", 
      RowBox[{"(", " ", 
       RowBox[{
        RowBox[{"T", " ", 
         RowBox[{"YwExpNoBendingCase", "[", "T", "]"}]}], " ", "-", " ", 
        RowBox[{"2", " ", 
         RowBox[{"Integrate", "[", 
          RowBox[{
           RowBox[{"YwExpNoBendingCase", "[", "t", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}]}]}], ")"}]}], 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"YuExpNoBendingCase", "[", "T_", "]"}], "=", " ", 
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{"Limit", "[", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "\[Nu]"}], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"T", " ", "\[Epsilon]"}], " ", "+", " ", 
              RowBox[{
               FractionBox["\[Kappa]1", "2"], 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["T", "2"], "-", 
                 FractionBox[
                  SuperscriptBox["a", "2"], "12"]}], ")"}]}], "+", " ", 
              RowBox[{
               FractionBox[
                SuperscriptBox["\[Kappa]3", "2"], "6"], 
               SuperscriptBox["T", "3"]}]}], ")"}]}], "+", " ", 
           RowBox[{"(", 
            RowBox[{"\[Nu]", " ", "\[Kappa]2", "  ", 
             RowBox[{"Integrate", "[", 
              RowBox[{
               RowBox[{"YwExpNoBendingCase", "[", "p", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"p", ",", "0", ",", "T"}], "}"}]}], "]"}]}], " ", 
            ")"}], " ", "-", 
           RowBox[{
            FractionBox["1", "2"], 
            RowBox[{"Integrate", "[", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                RowBox[{"YwExpNoBendingCase", "'"}], "[", "p", "]"}], "2"], 
              ",", 
              RowBox[{"{", 
               RowBox[{"p", ",", "0", ",", "T"}], "}"}]}], "]"}]}]}], ")"}], 
         "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Kappa]1", "->", " ", "0"}], ",", " ", 
          RowBox[{"\[Kappa]2", "->", " ", "0"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Epsilon]", ",", "T"}], "}"}], ",", "Simplify"}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.877360295568287*^9, 3.877360436717163*^9}, {
   3.877360470388722*^9, 3.877360559720892*^9}, {3.877360653575644*^9, 
   3.87736067882705*^9}, {3.8773613638551807`*^9, 3.877361393886339*^9}, {
   3.877361455567086*^9, 3.877361457563877*^9}, {3.877361497850533*^9, 
   3.8773615025815153`*^9}, {3.877361542996282*^9, 3.877361580295466*^9}, {
   3.877361775341569*^9, 3.8773618222322206`*^9}, 3.877371369972933*^9, {
   3.877371680821137*^9, 3.877371681358985*^9}, {3.877371788315638*^9, 
   3.877371796443582*^9}, {3.877371889386799*^9, 3.877371916093886*^9}, {
   3.877371962704775*^9, 3.877371968430378*^9}, {3.877421105357415*^9, 
   3.877421120385501*^9}, {3.8774211986400137`*^9, 3.8774212054728518`*^9}, 
   3.877440477944263*^9, {3.877497135572159*^9, 3.877497136541543*^9}, {
   3.8775248360094547`*^9, 3.877524836692869*^9}, {3.8775302831478033`*^9, 
   3.8775303177232943`*^9}, {3.87753114145152*^9, 3.8775311613459587`*^9}, {
   3.877596231206037*^9, 3.877596238073036*^9}, 3.877615107549234*^9, 
   3.8776161442327023`*^9, 3.8776169665470963`*^9},
 CellLabel->"In[58]:=",ExpressionUUID->"dc8685a9-e755-4a02-9b50-28123b5f7e2f"],

Cell[BoxData[
 StyleBox[
  RowBox[{"Stress", " ", "and", " ", "strain", " ", "expressions"}], 
  "Subsection",
  FontWeight->"Plain"]], "Input",
 CellChangeTimes->{{3.877615452130361*^9, 3.8776157028795*^9}, {
  3.877615736140923*^9, 3.877615745913348*^9}, {3.877615805326323*^9, 
  3.877615813289319*^9}, {3.877615895653442*^9, 3.877616132031938*^9}, {
  3.877616173347567*^9, 3.877616201739437*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"4baa504b-ef57-445c-bf06-051cb197cca1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"replaceDispNoBendingCase", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"yw", "->", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"YwExpNoBendingCase", "[", "#", "]"}], "&"}], ")"}]}], ",", 
     " ", 
     RowBox[{"yu", "->", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"YuExpNoBendingCase", "[", "#", "]"}], "&"}], ")"}]}], ",", 
     "  ", 
     RowBox[{"yv", "->", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"YvExpNoBendingCase", "[", "#", "]"}], "&"}], ")"}]}]}], " ", 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0SSExpNoBendingCase", "[", "T_", "]"}], "=", 
  RowBox[{
   RowBox[{"Limit", "[", " ", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{"n0SSExp", "[", "T", "]"}], " ", "/.", " ", 
       "replaceDispNoBendingCase"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Kappa]2", "->", " ", "0"}], ",", 
       RowBox[{"\[Kappa]1", "->", " ", "0"}]}], "}"}]}], "]"}], "//", 
   "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m0SSExpNoBendingCase", "[", "T_", "]"}], "=", 
  RowBox[{
   RowBox[{"Limit", "[", " ", 
    RowBox[{
     RowBox[{"Simplify", "[", " ", 
      RowBox[{
       RowBox[{"m0SSExp", "[", "T", "]"}], " ", "/.", 
       "replaceDispNoBendingCase"}], " ", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Kappa]2", "->", " ", "0"}], ",", 
       RowBox[{"\[Kappa]1", "->", " ", "0"}]}], "}"}]}], "]"}], "//", 
   "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m0STExpNoBendingCase", "[", "T_", "]"}], "=", " ", 
  RowBox[{
   RowBox[{"Limit", "[", " ", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{"m0STExp", "[", "T", "]"}], " ", "/.", 
       "replaceDispNoBendingCase"}], " ", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Kappa]2", "->", " ", "0"}], ",", 
       RowBox[{"\[Kappa]1", "->", " ", "0"}]}], "}"}]}], "]"}], "//", 
   "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"m0TTExpNoBendingCase", "[", "T_", "]"}], "=", 
   RowBox[{
    RowBox[{"Limit", "[", " ", 
     RowBox[{
      RowBox[{"Simplify", "[", " ", 
       RowBox[{
        RowBox[{"m0TTExp", "[", "T", "]"}], " ", "/.", " ", 
        "replaceDispNoBendingCase"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Kappa]2", "->", " ", "0"}], ",", 
        RowBox[{"\[Kappa]1", "->", " ", "0"}]}], "}"}]}], "]"}], "//", 
    "Simplify"}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"E0SSExpNoBendingCase", "[", "T_", "]"}], "=", 
  RowBox[{
   RowBox[{"Limit", "[", " ", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{"E0SS", "[", "T", "]"}], " ", "/.", " ", 
       "replaceDispNoBendingCase"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Kappa]2", "->", " ", "0"}], ",", 
       RowBox[{"\[Kappa]1", "->", " ", "0"}]}], "}"}]}], "]"}], "//", 
   "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B0SSExpNoBendingCase", "[", "T_", "]"}], "=", 
  RowBox[{
   RowBox[{"Limit", "[", " ", 
    RowBox[{
     RowBox[{"Simplify", "[", " ", 
      RowBox[{
       RowBox[{"B0SS", "[", "T", "]"}], " ", "/.", 
       "replaceDispNoBendingCase"}], " ", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Kappa]2", "->", " ", "0"}], ",", 
       RowBox[{"\[Kappa]1", "->", " ", "0"}]}], "}"}]}], "]"}], "//", 
   "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B0STExpNoBendingCase", "[", "T_", "]"}], "=", " ", 
  RowBox[{
   RowBox[{"Limit", "[", " ", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{"B0ST", "[", "T", "]"}], " ", "/.", 
       "replaceDispNoBendingCase"}], " ", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Kappa]2", "->", " ", "0"}], ",", 
       RowBox[{"\[Kappa]1", "->", " ", "0"}]}], "}"}]}], "]"}], "//", 
   "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B0TTExpNoBendingCase", "[", "T_", "]"}], "=", 
  RowBox[{
   RowBox[{"Limit", "[", " ", 
    RowBox[{
     RowBox[{"Simplify", "[", " ", 
      RowBox[{
       RowBox[{"B0TT", "[", "T", "]"}], " ", "/.", " ", 
       "replaceDispNoBendingCase"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Kappa]2", "->", " ", "0"}], ",", 
       RowBox[{"\[Kappa]1", "->", " ", "0"}]}], "}"}]}], "]"}], "//", 
   "Simplify"}]}]}], "Input",
 CellChangeTimes->{{3.877615452130361*^9, 3.8776157028795*^9}, {
   3.877615736140923*^9, 3.877615745913348*^9}, {3.877615805326323*^9, 
   3.877615813289319*^9}, {3.877615895653442*^9, 3.877616132031938*^9}, 
   3.877616173347567*^9},
 CellLabel->"In[65]:=",ExpressionUUID->"b1fe9bd3-0b6a-4ee0-afed-3ba604e25687"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1674, 1051},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
TaggingRules-><|"TryRealOnly" -> False|>,
FrontEndVersion->"13.0 for Mac OS X ARM (64-bit) (February 4, 2022)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"dfc1b587-c6ba-4d12-93c7-ea823e186151"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 705, 10, 98, "Title",ExpressionUUID->"cd3834c5-e82c-4709-8283-f06bc1fa1c6d"],
Cell[1288, 34, 780, 13, 53, "Subtitle",ExpressionUUID->"c442d431-4fb3-4465-855d-b1bae0eef877"],
Cell[2071, 49, 3039, 53, 178, "Input",ExpressionUUID->"1807f2db-c517-48ab-9545-f0f75658b955"],
Cell[CellGroupData[{
Cell[5135, 106, 575, 9, 67, "Section",ExpressionUUID->"7a060e89-deb8-4e56-ba2c-15c7a507ede8"],
Cell[5713, 117, 856, 15, 73, "Input",ExpressionUUID->"d08b8ec9-b4d1-4215-8a7c-9dec8d3f18c2"],
Cell[CellGroupData[{
Cell[6594, 136, 2528, 35, 54, "Subsection",ExpressionUUID->"0d39e317-472f-4783-927c-b4a17221c0cb"],
Cell[9125, 173, 3457, 60, 116, "Input",ExpressionUUID->"f88a86c5-5e92-4c2a-8aa7-b3a6ec8a26e9"],
Cell[12585, 235, 2375, 46, 33, "Input",ExpressionUUID->"ab48f4f3-ba2b-40de-a497-bcd858394ca8"],
Cell[14963, 283, 1268, 31, 124, "Input",ExpressionUUID->"2ae725db-c88d-4eb2-bb0d-2c20537be96f"],
Cell[16234, 316, 1150, 25, 87, "Input",ExpressionUUID->"ef6e2aad-d114-4023-8965-c5c2f3c05469"],
Cell[17387, 343, 2135, 62, 218, "Input",ExpressionUUID->"2e97bd3d-1edd-47c4-b854-4bc78f5c67a4"],
Cell[19525, 407, 3047, 70, 73, "Input",ExpressionUUID->"935759a6-2c84-49af-a612-72f5c8f890dd"],
Cell[22575, 479, 1134, 21, 52, "Input",ExpressionUUID->"e66c51fb-032a-45ae-8802-26cac61b4b95"],
Cell[23712, 502, 3240, 75, 136, "Input",ExpressionUUID->"c7819141-d4f6-4419-9899-aca296f56464"],
Cell[26955, 579, 1659, 42, 52, "Input",ExpressionUUID->"d21f47d6-285f-4c7b-b2c3-0cb9ae648818"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[28663, 627, 799, 12, 67, "Section",ExpressionUUID->"3fb1818b-244d-4fef-833c-375dbb0c4734"],
Cell[CellGroupData[{
Cell[29487, 643, 699, 10, 54, "Subsection",ExpressionUUID->"d11bb3fb-6521-4ce1-bd39-12a62810e078"],
Cell[30189, 655, 1564, 35, 30, "Input",ExpressionUUID->"a58a4745-302b-4eea-a8b8-b166a931a730"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31790, 695, 1146, 16, 54, "Subsection",ExpressionUUID->"3ad7c129-0682-41be-993a-db7f5dbb8b7f"],
Cell[32939, 713, 2063, 41, 52, "Input",ExpressionUUID->"e7c6dd9c-9e6f-4815-bca9-89bc093d972f"],
Cell[35005, 756, 6827, 177, 437, "Input",ExpressionUUID->"cb9b9e28-c149-4174-8d83-d32661636d63"],
Cell[41835, 935, 1823, 34, 55, "Input",ExpressionUUID->"8addf72c-9220-4bd1-aff1-c5f27cf27835"],
Cell[43661, 971, 1630, 23, 30, "Input",ExpressionUUID->"a041d4d2-6491-4c4c-9c02-a694097a3560"],
Cell[45294, 996, 3194, 78, 121, "Input",ExpressionUUID->"38cb7251-13ec-4a86-8500-6c90b3fdc418"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48525, 1079, 905, 13, 54, "Subsection",ExpressionUUID->"9b7feb6f-bab4-421b-991f-7e76ae3ff93f"],
Cell[49433, 1094, 5554, 147, 433, "Input",ExpressionUUID->"109c13bf-1347-4b42-a07e-e4bd374df859"],
Cell[54990, 1243, 1642, 35, 52, "Input",ExpressionUUID->"0fe2909e-1d14-4177-b189-c68e840bf172"],
Cell[56635, 1280, 2186, 48, 57, "Input",ExpressionUUID->"837f8e32-0d23-4373-a429-facf2e89876b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58858, 1333, 1665, 23, 54, "Subsection",ExpressionUUID->"e82d03b9-a802-49f6-a587-7b8f42320a38"],
Cell[60526, 1358, 5000, 116, 157, "Input",ExpressionUUID->"165f5808-e1ca-48a8-ad4e-577227db35a5"],
Cell[65529, 1476, 15423, 425, 566, "Input",ExpressionUUID->"80fff1e5-44a5-4c98-a417-8d3bedfa8feb"],
Cell[80955, 1903, 3347, 70, 184, "Input",ExpressionUUID->"977acfca-08a0-40a2-bbb6-0b255ac86712"],
Cell[84305, 1975, 1644, 38, 52, "Input",ExpressionUUID->"a96f9314-4402-428b-b59e-ba09d15fab0f"],
Cell[85952, 2015, 3134, 78, 94, "Input",ExpressionUUID->"16101f47-4779-4df9-8c43-ff07b647826d"],
Cell[89089, 2095, 1150, 27, 30, "Input",ExpressionUUID->"9d6c4974-13cd-44b7-8189-1ef3dde2dd42"],
Cell[90242, 2124, 1270, 26, 58, "Input",ExpressionUUID->"86cfe238-3da7-4ba7-81d4-5082983444ec"],
Cell[91515, 2152, 2317, 50, 117, "Input",ExpressionUUID->"ba09ec37-6b5d-4efb-aefc-a725093241fc"],
Cell[93835, 2204, 2708, 74, 120, "Input",ExpressionUUID->"39e09131-9f13-44c7-a8b3-af42115f5508"],
Cell[96546, 2280, 1246, 27, 52, "Input",ExpressionUUID->"54ef0ba8-76f6-471d-afa1-78a774108640"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97829, 2312, 1055, 15, 54, "Subsection",ExpressionUUID->"403579ea-1b67-4cc9-878d-48f734f2ff1d"],
Cell[98887, 2329, 5406, 135, 432, "Input",ExpressionUUID->"b3c90b61-4ffa-4e8a-b131-55f202b69242"],
Cell[104296, 2466, 8314, 215, 515, "Input",ExpressionUUID->"19bd60fd-db57-4c4a-847b-12de54266be8"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[112659, 2687, 495, 9, 67, "Section",ExpressionUUID->"362d547f-d14e-4395-ba60-6efa73db964c"],
Cell[113157, 2698, 6625, 176, 272, "Input",ExpressionUUID->"5e807c82-c566-46cb-a0c7-d6da10c10b43"]
}, Open  ]],
Cell[CellGroupData[{
Cell[119819, 2879, 1617, 29, 68, "Section",ExpressionUUID->"d44c5c2a-32d9-431f-bc3e-a3e36f93dc45"],
Cell[CellGroupData[{
Cell[121461, 2912, 197, 3, 54, "Subsection",ExpressionUUID->"ec5e17d7-91a6-4572-9708-7b7838ac7c6c"],
Cell[121661, 2917, 5837, 143, 232, "Input",ExpressionUUID->"dc8685a9-e755-4a02-9b50-28123b5f7e2f"],
Cell[127501, 3062, 480, 9, 39, "Input",ExpressionUUID->"4baa504b-ef57-445c-bf06-051cb197cca1"],
Cell[127984, 3073, 4805, 137, 220, "Input",ExpressionUUID->"b1fe9bd3-0b6a-4ee0-afed-3ba604e25687"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

